# Generated by Makefile. Do not edit.

commit cb945c115b0ff9e3d2c9bffcb331a9d20de63c48
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Thu Aug 30 00:11:20 2012 +0200

    Bump version to 0.1.11

 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 889576908b693de465f46bbcdb3d11b7d58640e8
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 23:55:39 2012 +0200

    Revert "Bump version to 0.1.11"
    
    This reverts commit f05bb54c9bb06aa778961962166dcb38dcd13515.

 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit f05bb54c9bb06aa778961962166dcb38dcd13515
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 23:52:12 2012 +0200

    Bump version to 0.1.11

 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit ae66f08aca973feec5f9d07448a1c93318487c87
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 23:50:12 2012 +0200

    Update NEWS for 0.1.10 (again)
    
    Note: Version 0.1.10 will be tagged by TASQUE_0_1_10a

 NEWS |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit e7600ab8021343c1ade5b43a0fed973ca30d97cd
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 23:48:05 2012 +0200

    [build] Warn instead of fail if appindicator is not available.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 240b886b73c9a8947b3d54a08bdf05f94003986f
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 23:46:42 2012 +0200

    Revert "Update NEWS for 0.1.10"
    
    This reverts commit ca69f0bb9a4dab83ee87e601d91fc74535b7df8c.

 NEWS |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit 7430e64a8ed3fe28f01aa48e3a5b617e67d77ecf
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 23:45:59 2012 +0200

    Revert "Bump version to 0.1.11"
    
    This reverts commit b11621c87fd79b41c6de0ad1c5e0d557a10526b5.

 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 74019c97659b00edef72c2bce1a2615d635739ce
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Aug 29 23:48:28 2012 +0200

    Updated Polish translation

 po/pl.po |  223 +++++++++++++++++++++++---------------------------------------
 1 files changed, 83 insertions(+), 140 deletions(-)

commit b11621c87fd79b41c6de0ad1c5e0d557a10526b5
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 22:16:13 2012 +0200

    Bump version to 0.1.11

 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit ca69f0bb9a4dab83ee87e601d91fc74535b7df8c
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 22:08:48 2012 +0200

    Update NEWS for 0.1.10

 NEWS |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 02e3d81cf80de0f535d063fefc4a822748c8c1f9
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 29 21:49:13 2012 +0200

    [tasque] Fix NRE on StatusIconTray.

 src/StatusIconTray.cs |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 9e76f6f1996aff17340edc94b1afe817d2ae194f
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Tue Aug 28 19:05:39 2012 +0200

    [build] Fix build on platforms without appindicator
    
    AppIndicatorTray.cs is only built, if appindicator is enabled (and
    supported). Therefore wrap its initialization in #if APPINDICATOR
    ... #endif and define the compiler flag APPINDICATOR.

 src/GtkTray.cs  |    8 ++------
 src/Makefile.am |    5 +++--
 2 files changed, 5 insertions(+), 8 deletions(-)

commit 058055413bfd9502ee3d52e14694f63de06d6e57
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Mon Aug 27 19:53:07 2012 +0200

    [tasque] Add tasque-panel icon to allow theming of systray icon

 data/images/Makefile.am         |   11 ++++++++++-
 data/images/tasque-panel-16.png |  Bin 0 -> 711 bytes
 data/images/tasque-panel-22.png |  Bin 0 -> 1029 bytes
 data/images/tasque-panel-24.png |  Bin 0 -> 1086 bytes
 src/GtkTray.cs                  |    2 +-
 5 files changed, 11 insertions(+), 2 deletions(-)

commit 2096a16343f69a552381e5be25c90ffd21a18a11
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Sun Aug 26 23:45:11 2012 +0200

    [RTM] Fix #578279: Tasque crashes when RTM unavailable

 src/Backends/Rtm/RtmBackend.cs |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 424915bc4d71886504d4ad1c2308df3cc971fc55
Author: Ahmad Sherif <ahmad.sherif.public@gmail.com>
Date:   Sun Aug 26 23:11:24 2012 +0200

    [tasque] Partly fix for #557792: Mvmnt of list causes prog freeze
    
    This fixes the issue that the wrong task is marked as completed. See
    bug descr for more details:
    https://bugzilla.gnome.org/show_bug.cgi?id=557792
    
    It doesn't fix the freeze problem, for which a patch has been proposed
    that hasn't been tested yet. The freeze problem is not reproducible on
    Ubuntu 12.04.

 src/TaskTreeView.cs |   26 ++++++++++++++------------
 1 files changed, 14 insertions(+), 12 deletions(-)

commit 7d4354691c2afaa73942d9936f099a9f6f7ee200
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Mon Aug 27 15:18:46 2012 +0200

    [i18n] Update po files and update German translation

 po/ca.po          |   83 ++++++++++++-------------
 po/ca@valencia.po |   87 +++++++++++++-------------
 po/cs.po          |   87 +++++++++++++--------------
 po/da.po          |   84 +++++++++++++-------------
 po/de.po          |   83 ++++++++++++-------------
 po/el.po          |   83 ++++++++++++-------------
 po/en_GB.po       |  142 +++++++++++++++++++++---------------------
 po/eo.po          |  145 +++++++++++++++++++++----------------------
 po/es.po          |  142 +++++++++++++++++++++---------------------
 po/et.po          |  173 ++++++++++++++++++++++++++++++++++++++++++++--------
 po/fi.po          |  135 ++++++++++++++++++++---------------------
 po/fr.po          |   79 ++++++++++++------------
 po/gl.po          |   84 +++++++++++++-------------
 po/hu.po          |   84 +++++++++++++-------------
 po/id.po          |  177 +++++++++++++++++++++++------------------------------
 po/it.po          |  146 ++++++++++++++++++++++----------------------
 po/ja.po          |   87 +++++++++++++-------------
 po/lv.po          |   80 ++++++++++++------------
 po/nb.po          |   83 ++++++++++++-------------
 po/nds.po         |  142 +++++++++++++++++++++---------------------
 po/nl.po          |  138 +++++++++++++++++++++---------------------
 po/pl.po          |  142 +++++++++++++++++++++---------------------
 po/pt.po          |  143 +++++++++++++++++++++---------------------
 po/pt_BR.po       |   86 +++++++++++++-------------
 po/ro.po          |   94 ++++++++++++++--------------
 po/ru.po          |  177 +++++++++++++++++++++++------------------------------
 po/sl.po          |  142 +++++++++++++++++++++---------------------
 po/sr.po          |   82 ++++++++++++-------------
 po/sr@latin.po    |   82 ++++++++++++-------------
 po/sv.po          |  160 +++++++++++++++++++++--------------------------
 po/th.po          |  142 +++++++++++++++++++++---------------------
 po/tr.po          |  142 +++++++++++++++++++++---------------------
 po/zh_CN.po       |  142 +++++++++++++++++++++---------------------
 po/zh_TW.po       |  142 +++++++++++++++++++++---------------------
 34 files changed, 2025 insertions(+), 1995 deletions(-)

commit 32d0d7a97acb34528864073fdb27d85bfa91fc7c
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Sun Aug 26 22:46:35 2012 +0200

    [i18n] Mark a string in src/GtkTray.cs for translation

 src/GtkTray.cs |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit aca36faec5296b00dc6ce681835aef1aaa779761
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Mon Aug 27 15:11:55 2012 +0200

    [build] Fix distcheck
    
    * data/images/Makefile.am: Use target uninstall-local to remove
    installed icons, not uninstall-hook (uninstall-hook is used for
    updating the icon cache)
    
    * po/POTFILES.in: Add src/GtkTray.cs to translatable files.

 data/images/Makefile.am |    2 +-
 po/POTFILES.in          |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 46d407fe66bc6cec14d80217e0059825efbc8027
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Sat Aug 25 00:17:38 2012 +0200

    [build] Fix "omit leading './' from config file names" warning

 configure.ac |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit ae5f788bc4c851a910e5ebb6afcff8ad9ceeaf01
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Fri Aug 24 12:42:36 2012 +0200

    [build] Add check for gconf-2.0 in autogen.sh
    
    gconf-2.0 is recommended for a "flawless" build configuration. On
    Ubuntu 12.04, if gconf-2.0 is not installed, it takes to passes of
    autogen.sh/configure before the script runs and exits successfully.

 autogen.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit ce8275ad0e18359f98e3157f8e3dc7179b192e2e
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Fri Aug 24 12:03:23 2012 +0200

    [build] Build Dummy backend if it is debug build
    
    By default the Dummy backend is now built if --enable-debug is given.
    Otherwise it's not built. Dummy backend build can be forced by
    specifying --enable-backend-dummy.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 24c08fa8a816313a79e9cd1d5dd55df67c2fedb6
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Fri Aug 24 08:12:34 2012 +0200

    [RTM] Omit smart lists. They are not supported by the model

 src/Backends/Rtm/RtmBackend.cs |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 1dfdb477453185c2f76dd5795616a08969957fc3
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Thu Aug 23 14:50:20 2012 +0200

    [build] Make RtmNet easier to debug by generating mdb files

 RtmNet/Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit f2a0d6ca40fb0295f7aee1a9a1134d00c677ef28
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Thu Aug 23 14:48:26 2012 +0200

    [build] Fix release build
    
    When tasque is built in release configuration, no mdb files are generated.
    Hence only install them, if it's a debug build.

 src/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit e49564623e7aa544ec21ecc456aaac5501719227
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Thu Aug 23 09:50:42 2012 +0200

    [RTM] Fix tasks belong to wrong list bug
    
    The bug caused the tasks to be added to the wrong list ("All Tasks") when
    loaded from RTM. This was because "All tasks" is a smart list (kind of filter)
    not an actual list.
    
    This also made it impossible to complete tasks in RTM, which is now
    possible again.

 src/Backends/Rtm/RtmBackend.cs |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 3fd09bafa0725fa7fc0a01e3ff37a92f495bdbe2
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Thu Aug 23 09:47:56 2012 +0200

    [MSBuild] Setup custom commands for build and execution
    
    This enables compiling and starting Tasque from within MD.
    
    Also: Update some nunit references

 RtmNet/RtmNet.csproj           |    5 +++++
 src/libtasque/libtasque.csproj |    5 +++++
 tasque.csproj                  |    9 +++++++++
 tests/tests.csproj             |   10 ++++++++--
 4 files changed, 27 insertions(+), 2 deletions(-)

commit 8d817a9a1a5395f60c1f3a775985dbdb5c07a1de
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 22:01:34 2012 +0200

    [build] Fix debug and release build settings in autoconf
    
    Drop explicit --enable-release option. Release build is now the default. If
    Tasque is to be built in debug mode --enable-debug must be set.

 RtmNet/Makefile.am |    7 ++-----
 configure.ac       |   33 ++-------------------------------
 src/Makefile.am    |    8 +++-----
 3 files changed, 7 insertions(+), 41 deletions(-)

commit 6ac1c7147e4c1ed508cfb4a5e4a70ba0e7ab5414
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 21:39:23 2012 +0200

    [build] Fix mistyped variable in configure.ac

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 40e6b22c2bd50ba26d9b432e7d81c5cd264c64a6
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 19:51:52 2012 +0200

    [tasque] Add support for Ubuntu/Unity's appindicator
    
    Tasque decides at runtime based on the environment variable
    DESKTOP_SESSION which tray to use.
    
    AppIndicator requires appindicator0.1-sharp. It is therefore only compiled
    if that dependency is met. Checks have been added to configure.ac.
    Also appindicator build is enabled by default and must be
    explicitly switched off via --enable-appindicator=no. The Gtk.StatusIcon
    tray is always compiled.

 configure.ac            |   23 +++++++++++++++++++++
 src/AppIndicatorTray.cs |   50 +++++++++++++++++++++++++++++++++++++++++++++++
 src/GtkTray.cs          |   28 ++++++++++++++++++++++++-
 src/Makefile.am         |   13 ++++++++++-
 tasque.csproj           |    5 ++++
 5 files changed, 115 insertions(+), 4 deletions(-)

commit 2fd20476cd3a575e20bbce7a7dfed0ad7828c0a5
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 15:48:14 2012 +0200

    [tasque] Outsource tray logic from Application.cs
    
    Added:
    	* StatusIconTray.cs: Represents a systray icon using Gtk.StatusIcon class
    	* GtkTray.cs: Abstract base class for all Gtk based systray icons.
    
    Note: The two classes structure has been chosen in order to support the
    future implementation of an (Ubuntu/Unity-) AppIndicator as systray, which
    will use GtkTray as base class.

 src/Application.cs    |  284 ++++++++----------------------------------------
 src/GtkTray.cs        |  221 ++++++++++++++++++++++++++++++++++++++
 src/Makefile.am       |    2 +
 src/StatusIconTray.cs |   51 +++++++++
 tasque.csproj         |    2 +
 5 files changed, 324 insertions(+), 236 deletions(-)

commit c0c361fab010ed4067d96f8676271985cb7efb74
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 14:00:20 2012 +0200

    [MSBuild] Change project target framework to 4.0

 RtmNet/RtmNet.csproj           |    3 +--
 src/libtasque/libtasque.csproj |   12 ++++++------
 tasque.csproj                  |   37 +++++++++++++++++++++++--------------
 tasque.sln                     |    4 ++--
 tests/tests.csproj             |    3 +--
 5 files changed, 33 insertions(+), 26 deletions(-)

commit ffbc674718db4ff0729b7b824475e702cd355d4b
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 12:27:17 2012 +0200

    [build] Switch to .NET 4.0 profile
    
    Some dependencies are compiled against 4.0. 4.0 is currently also the
    default runtime of mono. Therefore it makes sense to switch to 4.0. and
    use dmcs rather than gmcs.

 Makefile.include   |    2 +-
 RtmNet/Makefile.am |    2 +-
 configure.ac       |    6 +++---
 src/Makefile.am    |    2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 07f3a199b9f86be494416aa458222fdeccf3942c
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 11:36:00 2012 +0200

    [build] Disable evolution backend build by default
    
    Can't find evolution-sharp in Ubuntu packages. Never even have seen this
    backend live in action. Don't know if it works (and how it works). Doesn't
    need to be part of default build.

 configure.ac |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit c4f526bf2fa2ce8fa013aab916a96795870e2c02
Author: Antonius Riha <antoniusriha@gmail.com>
Date:   Wed Aug 22 11:32:53 2012 +0200

    [build] Fix automake 1.11.3 issue
    
    automake 1.11.3 throws
    
    ./Makefile.am:3: `pkglibdir' is not a legitimate directory for `DATA'.
    
    Working around this issue by using another variable name.

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7e06045684d592e144bfa17f761988fab16fe290
Author: Arvis Lacis <arvis.lacis@gmail.com>
Date:   Tue Aug 7 21:17:15 2012 +0300

    Updated Latvian translation, small fix

 po/lv.po |   88 +++++++++++++++++++++++--------------------------------------
 1 files changed, 33 insertions(+), 55 deletions(-)

commit a61eb0a256b5be1c149803a06ee4655af5ad507c
Author: Arvis Lacis <arvis.lacis@gmail.com>
Date:   Tue Aug 7 21:13:36 2012 +0300

    Added Latvian translation

 po/LINGUAS |    1 +
 po/lv.po   |  572 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 573 insertions(+), 0 deletions(-)

commit 173eac4eb3ec407dbbd5b3a4bcf812e4262190ab
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sat Jun 2 09:13:57 2012 +0200

    Updated Serbian translation

 po/sr.po       |   38 +++++++++++++++++++-------------------
 po/sr@latin.po |   38 +++++++++++++++++++-------------------
 2 files changed, 38 insertions(+), 38 deletions(-)

commit 308df604d245ace9f7781cf615a48d2e61033fc2
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Apr 20 21:45:54 2012 +0200

    Updated French translation

 po/fr.po |  247 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 108 insertions(+), 139 deletions(-)

commit add60e31de385a5d6782ad0479100e69ea330588
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Mar 19 10:13:31 2012 +0100

    Added Serbian translation

 po/LINGUAS     |    2 +
 po/sr.po       |  553 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po |  553 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 1108 insertions(+), 0 deletions(-)

commit 66428b580c423852ba1fc22904114ab652a7e6a5
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sun Jan 8 13:05:55 2012 +0900

    Updated Japanese translation

 po/ja.po |   71 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 36 insertions(+), 35 deletions(-)

commit a73a60b993a10b5bd41d66148a98a4d9f2b0f708
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Jul 28 09:33:54 2011 +0400

    Updated Russian translation

 po/ru.po |  246 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 115 insertions(+), 131 deletions(-)

commit 8c60c10109964f7a24569da142b49c8f7f983fab
Author: David Newgas <david@newgas.net>
Date:   Tue Apr 12 18:20:25 2011 -0400

    Extend dbus interface to include due date, priority properties and setting.
    
    Closes BGO#645040

 src/RemoteControl.cs |  190 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 190 insertions(+), 0 deletions(-)

commit c8f6651e44e7aa7a02c0472cdd21c0d6a7fa480d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 23 14:29:10 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po |   54 +++++++++++++++++++++++++++---------------------------
 1 files changed, 27 insertions(+), 27 deletions(-)

commit 69c10d9884db9a454fe71b9e5f2ba5e8f01899a4
Author: Sílvia Miranda <silvia.gnome@gmail.com>
Date:   Wed Jan 19 22:12:41 2011 +0100

    [l10n]Updated Catalan translation

 po/ca.po |   30 ++++++++++++++++--------------
 1 files changed, 16 insertions(+), 14 deletions(-)

commit 37248251e8321b97032dc83cd311bf94599e3b51
Author: Milonas Kostas <milonas.ko@gmail.com>
Date:   Fri Jan 14 20:16:08 2011 +0200

    Updated Greek translation

 po/el.po |  129 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 54 insertions(+), 75 deletions(-)

commit 5f4f2382b3c5e6a771c947bd482283e59c487560
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Dec 31 12:13:36 2010 +0100

    Updated Swedish translation

 po/sv.po |  148 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 81 insertions(+), 67 deletions(-)

commit eabac64da0a86a844eb4495c7f5d4cec9c4eec1e
Author: Ivar Smolin <okul@linux.ee>
Date:   Mon Dec 20 15:35:42 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po |  133 ++------------------------------------------------------------
 1 files changed, 4 insertions(+), 129 deletions(-)

commit 10592ca2982de5ee64b5afc52d987bbcf6a53e92
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sat Dec 4 00:50:51 2010 +0200

    Updated Romanian translation

 po/LINGUAS |    1 +
 po/ro.po   |  559 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 560 insertions(+), 0 deletions(-)

commit bcc291c5c9d249f4a04a2a45b2fe0e544387ad2b
Author: Kostas Milonas <grimmoner@hotmail.com>
Date:   Tue Nov 30 23:10:49 2010 +0200

    l10n: Updated Greek translation for tasque

 po/el.po |  275 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 161 insertions(+), 114 deletions(-)

commit 9dcbf1cd2f27bd6e302e853876a388601be375f5
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Oct 30 17:41:58 2010 +0100

    Updated Catalan (Valencian) translation

 po/LINGUAS        |    1 +
 po/ca@valencia.po |  571 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 572 insertions(+), 0 deletions(-)

commit 0e2190e51eee5597f74f6e5ba51c85b6be186edd
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Tue Oct 26 23:52:41 2010 +0200

    [l10n] Updated German translation

 po/de.po |   28 +++++++++++++++-------------
 1 files changed, 15 insertions(+), 13 deletions(-)

commit 68c2a97fdd76c5d64fe39cd2b3339b6c2ea906e8
Author: Mateus Zenaide <mateus.gnome@gmail.com>
Date:   Wed Oct 20 17:08:36 2010 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  144 +++++++++++++++++++++++------------------------------------
 1 files changed, 56 insertions(+), 88 deletions(-)

commit f0b42440ccf57015f36f9421426beec6f1013271
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 16 20:57:32 2010 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  152 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 60 insertions(+), 92 deletions(-)

commit 584a59aaf3b2e071e2a073ab42b5f59b3c2adba4
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Sep 22 12:47:56 2010 +0200

    Updated Czech translation

 po/cs.po |  241 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 97 insertions(+), 144 deletions(-)

commit 818e4b0d3124582f0346a15a2cff5edf4f4dfd03
Author: Josef Bacik <josef@redhat.com>
Date:   Mon Sep 20 17:05:55 2010 -0400

    [rtm] Do not start RTM refresher thread until we're configured
    
    Fixes BGO #570517

 src/Backends/Rtm/RtmBackend.cs |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit aae3b11c633669f51027cdd0e2517056e48e6bee
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Sat Sep 11 16:07:23 2010 +0200

    Updated Danish translation

 po/da.po |  220 +++++++++++++++++++++++---------------------------------------
 1 files changed, 82 insertions(+), 138 deletions(-)

commit 30493c9b4b1ab9b162d4791a021cac2d953888d1
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Tue Jul 20 15:34:24 2010 +0200

    Updated Esperanto translation

 po/eo.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ed5592ef0a9c1128009b7fddf2c665be9f4472f3
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Tue Jul 20 15:11:46 2010 +0200

    Updated Esperanto translation

 po/eo.po |  184 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 84 insertions(+), 100 deletions(-)

commit 5e81dfe7cd830ee24b321e5b927dad4eb6d59fbd
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Jun 26 13:33:11 2010 +0200

    Added Catalan translation

 po/LINGUAS |    1 +
 po/ca.po   |  570 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 571 insertions(+), 0 deletions(-)

commit 2296387229c2bfe9877a32057ee0f0e892c6264f
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Jun 8 01:28:49 2010 +0200

    Updated Hungarian translation

 po/hu.po |  129 +++++++++++++++++++++++---------------------------------------
 1 files changed, 48 insertions(+), 81 deletions(-)

commit 4b579a01c6ac044d26549e70bcdc901cc7cabb0f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon May 24 13:17:55 2010 +0200

    Updated Galician translations

 po/gl.po |  107 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 53 insertions(+), 54 deletions(-)

commit e875a71b2123a56bf2d852927e70a6dd0a79d9e1
Author: Mario Carrion <mario@carrion.mx>
Date:   Tue Apr 20 12:16:32 2010 -0400

    [hm] Fixes crash when backend is loaded. (bgo #579428)

 src/Backends/Hiveminder/HmBackend.cs |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit e4618c09bcc7a424d84e35f64ed31bdf4a02f66c
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Apr 20 16:47:14 2010 +0200

    Updated German translation

 po/de.po |   86 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 42 insertions(+), 44 deletions(-)

commit f7cc72b3ead56ebc46eb5d401342641f7da6f777
Author: Mario Carrion <mario@carrion.mx>
Date:   Mon Apr 19 17:31:04 2010 -0400

    Flag added to toggle timer when task is marked as done.

 src/TaskTreeView.cs |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit 26c4fed8bde471b144100411180da343a38a9f90
Author: Mario Carrion <mario@carrion.mx>
Date:   Mon Apr 19 17:20:10 2010 -0400

    Fix crash when "task done" animation is running and task values are manually changed (bgo #591090)

 src/TaskTreeView.cs |  129 +++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 100 insertions(+), 29 deletions(-)

commit 11ae9ebd582cddf3b4673976191c06860bbe4fb8
Author: Mario Carrion <mario@carrion.mx>
Date:   Wed Apr 14 17:11:33 2010 -0400

    [sqlite] Using GetInt64 to get stored [completion|due]date (bgo #614505)

 src/Backends/Sqlite/SqliteBackend.cs |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5b40bae34c8e1b5a1f38e919a5dfab10db3b3248
Author: Andika Triwidada <andika@gmail.com>
Date:   Wed Apr 14 15:37:32 2010 +0700

    Updated Indonesian translation

 po/id.po |  217 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 99 insertions(+), 118 deletions(-)

commit 6586a087543dd0bf7f428d5ec0e2152114ad5351
Author: Mario Carrion <mario@carrion.mx>
Date:   Tue Apr 13 17:02:39 2010 -0400

    NativeApplication moved to libtasque/

 src/Makefile.am                     |    2 +-
 src/NativeApplication.cs            |   23 -----------------------
 src/libtasque/INativeApplication.cs |   23 +++++++++++++++++++++++
 src/libtasque/libtasque.csproj      |    1 +
 tasque.csproj                       |    2 --
 5 files changed, 25 insertions(+), 26 deletions(-)

commit 16e2a79e09e65ebabd2e2217c044c96bb800426e
Author: António Lima <amrlima@gmail.com>
Date:   Tue Apr 13 01:15:01 2010 +0100

    Updated Portuguese translation

 po/pt.po |   49 ++++++++++++++++++++++++-------------------------
 1 files changed, 24 insertions(+), 25 deletions(-)

commit 96cc308cb3cdf56bfffebf419db89815465815c2
Author: Mario Carrion <mario@carrion.mx>
Date:   Tue Apr 6 17:24:24 2010 -0400

    ChangeLogs removed. Makefile.am updated to generate ChangeLog.

 ChangeLog    | 2490 ----------------------------------------------------------
 Makefile.am  |   17 +-
 po/ChangeLog |  195 -----
 3 files changed, 16 insertions(+), 2686 deletions(-)

commit 1bb9cb1c0c27a6de55265d659565a2ecf18e51aa
Author: Mario Carrion <mario@carrion.mx>
Date:   Mon Apr 5 23:57:57 2010 -0400

    [i18n] More information added for translators.

 ChangeLog                   |    6 ++
 TRANSLATORS                 |  126 +++++++++++++++++++++++----------
 po/cs.po                    |   82 +++++++++++++--------
 po/da.po                    |   82 +++++++++++++--------
 po/de.po                    |   82 +++++++++++++--------
 po/el.po                    |   82 +++++++++++++--------
 po/en_GB.po                 |   82 +++++++++++++--------
 po/eo.po                    |   82 +++++++++++++--------
 po/es.po                    |   82 +++++++++++++--------
 po/et.po                    |   82 +++++++++++++--------
 po/fi.po                    |   82 +++++++++++++--------
 po/fr.po                    |   82 +++++++++++++--------
 po/gl.po                    |   82 +++++++++++++--------
 po/hu.po                    |   82 +++++++++++++--------
 po/id.po                    |   82 +++++++++++++--------
 po/it.po                    |   82 +++++++++++++--------
 po/ja.po                    |   82 +++++++++++++--------
 po/nb.po                    |   82 +++++++++++++--------
 po/nds.po                   |   82 +++++++++++++--------
 po/nl.po                    |   82 +++++++++++++--------
 po/pl.po                    |   82 +++++++++++++--------
 po/pt.po                    |   82 +++++++++++++--------
 po/pt_BR.po                 |   82 +++++++++++++--------
 po/ru.po                    |   82 +++++++++++++--------
 po/sl.po                    |  167 ++++++++++++++++++++++---------------------
 po/sv.po                    |   82 +++++++++++++--------
 po/th.po                    |   82 +++++++++++++--------
 po/tr.po                    |   82 +++++++++++++--------
 po/zh_CN.po                 |   82 +++++++++++++--------
 po/zh_TW.po                 |   82 +++++++++++++--------
 src/libtasque/TaskParser.cs |   50 +++++++++----
 31 files changed, 1593 insertions(+), 970 deletions(-)

commit 711d52e4fa71bf15e7f4a78d28c85d0f66aae009
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Apr 3 21:16:25 2010 +0200

    Updated Slovenian translation

 po/sl.po |  151 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 82 insertions(+), 69 deletions(-)

commit 9b1c5934ee8f768b5634563512f86f5186fd812c
Author: Didier Vidal <didier-devel@melix.net>
Date:   Wed Mar 31 15:49:36 2010 -0400

    [sqlite] Caches task fields. (BGO #607816)

 ChangeLog                            |    8 +++
 src/Backends/Sqlite/SqliteBackend.cs |   49 ++++++++++++--------
 src/Backends/Sqlite/SqliteTask.cs    |   83 ++++++++++++++++++----------------
 3 files changed, 81 insertions(+), 59 deletions(-)

commit 601bda447729fdd74872572424966e0672986ba1
Author: Mario Carrion <mario@carrion.mx>
Date:   Tue Mar 30 23:03:45 2010 -0400

    Natural Language support (BGO #555680)
    
    Inspired by the work done by Anirudh Sanjeev and Steve George.

 ChangeLog                                          |   37 +
 RtmNet/RtmNet.csproj                               |    2 +-
 TRANSLATORS                                        |   54 ++
 po/ChangeLog                                       |    5 +
 po/POTFILES.in                                     |    1 +
 po/cs.po                                           |  392 ++++++++----
 po/da.po                                           |  381 ++++++++----
 po/de.po                                           |  208 ++++---
 po/el.po                                           |  329 +++++++---
 po/en_GB.po                                        |  392 ++++++++----
 po/eo.po                                           |  429 ++++++++-----
 po/es.po                                           |  181 +++---
 po/et.po                                           |  255 +++++++-
 po/fi.po                                           |  505 ++++++++++++++-
 po/fr.po                                           |  458 ++++++++++----
 po/gl.po                                           |  188 ++++--
 po/hu.po                                           |  206 ++++---
 po/id.po                                           |  208 ++++---
 po/it.po                                           |  389 ++++++++----
 po/ja.po                                           |  395 ++++++++----
 po/nb.po                                           |  189 ++++--
 po/nds.po                                          |  250 +++++---
 po/nl.po                                           |  512 ++++++++++++++-
 po/pl.po                                           |  428 ++++++++----
 po/pt.po                                           |  185 ++++--
 po/pt_BR.po                                        |  185 ++++--
 po/ru.po                                           |  488 ++++++++++----
 po/sl.po                                           |  254 +++++---
 po/sv.po                                           |  250 +++++---
 po/th.po                                           |  392 ++++++++----
 po/tr.po                                           |  458 ++++++++++----
 po/zh_CN.po                                        |  185 ++++--
 po/zh_TW.po                                        |  458 ++++++++++----
 src/Makefile.am                                    |   37 +-
 src/RemoteControl.cs                               |    2 +-
 src/TaskTreeView.cs                                |    2 +-
 src/TaskWindow.cs                                  |    2 +-
 src/Utilities.cs                                   |  101 +---
 src/libtasque/DateFormatterFactory.cs              |   55 ++
 src/libtasque/DateFormatters/DateFormatter.cs      |   81 +++
 .../DateFormatters/DateSeparatedFormatter.cs       |   42 ++
 src/libtasque/DateFormatters/DayFormatter.cs       |   45 ++
 src/libtasque/DateFormatters/IDateFormatter.cs     |   33 +
 src/libtasque/DateFormatters/MonthFormatter.cs     |   46 ++
 src/libtasque/DateFormatters/OrdinalFormatter.cs   |   57 ++
 src/libtasque/DateFormatters/QuantityFormatter.cs  |   99 +++
 .../DateFormatters/StringInsensitiveComparer.cs    |   40 ++
 .../DateFormatters/TodayTomorrowFormatter.cs       |   45 ++
 src/libtasque/DateFormatters/WeekFormatter.cs      |   45 ++
 src/libtasque/DateFormatters/WeekdayFormatter.cs   |   49 ++
 src/libtasque/DateFormatters/YearFormatter.cs      |   45 ++
 src/libtasque/Extensions.cs                        |  127 ++++
 src/libtasque/RegularExpressionFormatter.cs        |   60 ++
 src/libtasque/TaskParser.cs                        |  365 ++++++++++
 src/libtasque/TranslatableToken.cs                 |   46 ++
 src/libtasque/libtasque.csproj                     |   39 +-
 tasque.csproj                                      |    3 +-
 tasque.sln                                         |    6 +
 tests/DateGuesserTest.cs                           |  365 ++++++++++
 tests/TaskParserFixture.cs                         |  694 ++++++++++++++++++++
 tests/tests.csproj                                 |   52 ++
 61 files changed, 9189 insertions(+), 2643 deletions(-)

commit dc8e2e6cf917fa42d7bf75bcebdddae180e6fead
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Mar 29 15:16:05 2010 -0400

    Bundle HttpUtility, remove System.Web dependency (bgo613969)

 RtmNet/HttpUtility.cs | 1124 +++++++++++++++++++++++++++++++++++++++++++++++++
 RtmNet/Makefile.am    |    2 +-
 RtmNet/RtmNet.mdp     |    2 +-
 src/Makefile.am       |    1 -
 4 files changed, 1126 insertions(+), 3 deletions(-)

commit 89a73fd59136edc293406e58fef22b20c5ad0b39
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 11:43:31 2010 +0100

    Add Norwegian language entry.

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c0b42da7fa570b28fea016e10919ebded9d0504c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Mar 14 11:43:24 2010 +0100

    Added Norwegian bokmål translation.

 po/nb.po |  481 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 481 insertions(+), 0 deletions(-)

commit fdfee1f80930f72c45f4f57f18e1660c3682e757
Author: Mario Carrion <mario@carrion.mx>
Date:   Mon Mar 8 20:07:27 2010 -0500

    2010-03-08  Mario Carrion  <mario@carrion.mx>
    
    In /:
    	* tasque.csproj:
    	* src/libtasque/IBackend.cs:
    	* src/libtasque/ICategory.cs:
    	* src/libtasque/INote.cs:
    	* src/libtasque/ITask.cs:
    	* src/libtasque/TaskPriority.cs:
    	* src/libtasque/TaskState.cs: Files moved from src/.
    	* src/libtasque/libtasque.csproj: New project.
    	* .gitignore: *.swp added.
    	* RtmNet/RtmNet.csproj: MD flush.
    	* src/Makefile.am: Updated to include moved files.
    	* tasque.sln: New project added: libtasque, it will be used for
    	testing.

 .gitignore                     |    1 +
 ChangeLog                      |   16 ++++
 RtmNet/RtmNet.csproj           |    5 +-
 src/IBackend.cs                |  108 -----------------------
 src/ICategory.cs               |   20 -----
 src/INote.cs                   |   19 ----
 src/ITask.cs                   |  184 ----------------------------------------
 src/Makefile.am                |   16 ++--
 src/TaskPriority.cs            |   15 ---
 src/TaskState.cs               |   34 --------
 src/libtasque/IBackend.cs      |  108 +++++++++++++++++++++++
 src/libtasque/ICategory.cs     |   20 +++++
 src/libtasque/INote.cs         |   19 ++++
 src/libtasque/ITask.cs         |  184 ++++++++++++++++++++++++++++++++++++++++
 src/libtasque/TaskPriority.cs  |   15 +++
 src/libtasque/TaskState.cs     |   34 ++++++++
 src/libtasque/libtasque.csproj |   43 +++++++++
 tasque.csproj                  |   38 ++------
 tasque.sln                     |   61 ++++++++------
 19 files changed, 497 insertions(+), 443 deletions(-)

commit fe61ba2d2e54142b8df8253ac21189d0b5c4efc0
Author: Mario Carrion <mario@carrion.mx>
Date:   Sun Mar 7 20:08:13 2010 -0500

    2010-03-07  Mario Carrion  <mario@carrion.mx>
    
    In /:
    	* tasque.csproj: Project updated.

 ChangeLog     |    4 ++++
 tasque.csproj |   35 ++++++++---------------------------
 2 files changed, 12 insertions(+), 27 deletions(-)

commit aa55b97646219ecf6975194f4d0fd0c7b13f2f36
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Fri Mar 5 15:19:17 2010 +0100

    Updated Galician translation

 po/gl.po |   75 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 38 insertions(+), 37 deletions(-)

commit 72fb6c1a688bc2a63a097b165685df1ac9e83434
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Tue Feb 16 11:58:06 2010 -0800

    Add Mario as a maintainer

 MAINTAINERS |    4 ++++
 tasque.doap |    7 +++++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 0dd189c820dde6a38cfbdbdb064c4096dc8e4c3d
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Tue Feb 16 07:16:02 2010 -0800

    Bump version to 0.1.10

 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit 1f1a5a892f99e12048ddc07d4eb829641dab56a5
Author: Mario Carrion <mario@carrion.mx>
Date:   Tue Feb 16 07:07:24 2010 -0800

    Update NEWS for 0.1.9

 NEWS |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 36be505c8c87f995a848cca6c7812e0b5490f5b7
Author: Colin Dean <cad@cad.cx>
Date:   Mon Feb 15 09:23:36 2010 -0800

    Add Esperanto translation

 po/LINGUAS |    1 +
 po/eo.po   |  441 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 442 insertions(+), 0 deletions(-)

commit 14e0b389e210d59aa987cb61c4e12f51b18b6d62
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Feb 15 08:38:43 2010 -0800

    [mac] remove erroenous RootNamespace element

 tasque-mac.csproj |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 71781b8efe21056cdec9f47a09b6b404d1d4c6e8
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Feb 15 08:33:49 2010 -0800

    Quick fix to properly load icons from assembly resources

 src/Utilities.cs |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit a1e857532f7c547463b95d9c13c63f3ee8d0dd6c
Author: Sandy Armstrong <sandy@ellery-armstrongs-computer.local>
Date:   Mon Feb 15 07:54:45 2010 -0800

    add missing files to build

 tasque-mac.csproj |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 037e233e359f591af52ba2c7bf5af6bc9a2dd149
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Feb 15 07:52:25 2010 -0800

    [win] Add missing files to build

 tasque.csproj |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 8d7b76a8f70101faf003823dfd551f97dd643871
Author: Mario Carrion <mario@carrion.mx>
Date:   Mon Feb 15 07:35:35 2010 -0800

    Fix sqlite backend on latest versions of Mono.Data.Sqlite (bug #609712)
    
    This should fix the build on Mono >= 2.6.

 src/Backends/Sqlite/SqliteCategory.cs |    5 ++---
 src/Backends/Sqlite/SqliteTask.cs     |   10 ++++------
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 8aff8c539c18ef08ba9db0046c7556e056ca578b
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:   Fri Feb 12 10:17:26 2010 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  230 ++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 148 insertions(+), 82 deletions(-)

commit b31f8511c779efd9b1d8ec822cfab78e69741242
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Jan 22 01:37:37 2010 +0100

    Updated Hungarian translation

 po/hu.po |  224 ++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 154 insertions(+), 70 deletions(-)

commit df561f2bcaf940bd6b8f6ed46f49a99c791ecec7
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Jan 11 04:08:19 2010 +0100

    Updated Swedish translation

 po/sv.po |  228 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 147 insertions(+), 81 deletions(-)

commit 4d5369177a7b6f8bd43751fabf9f15cd50495db9
Author: Antón Méixome <certima@certima.net>
Date:   Mon Dec 28 17:09:24 2009 +0100

    Updated Galician Translation

 po/gl.po |  198 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 131 insertions(+), 67 deletions(-)

commit 16c64f7f8af0cb474dffd4ed0bfef25b6f21d236
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Dec 2 16:20:50 2009 +0100

    Added sl for Slovenian translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ba3bfdbbaba9a6dc0b0e0131c5aa9d5490ee5aff
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Dec 2 16:20:38 2009 +0100

    Updated Slovenian translation

 po/sl.po |  513 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 513 insertions(+), 0 deletions(-)

commit f7616582857fc7a0352bc67f0685b1aae484a257
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   Fri Nov 27 00:52:16 2009 +0100

    Added LowGerman translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 65029fd0b32d52844446683dffead4258de55e5c
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   Fri Nov 27 00:51:36 2009 +0100

    Added LowGerman translation

 po/nds.po |  504 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 504 insertions(+), 0 deletions(-)

commit 61fa7381449289f4b25e46bf010cbdaf30661aed
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 11:30:20 2009 +0100

    Updated Spanish translation

 po/es.po |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 73b5cb6594ba96bafb582b095d94cf75ee1120bf
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Nov 2 11:28:53 2009 +0100

    Updated Spanish translation

 po/es.po |  234 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 159 insertions(+), 75 deletions(-)

commit a06151e0099eae281ba8ccffb757d0d89dcbc44b
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Oct 26 20:58:16 2009 +0200

    Added id into LINGUAS
    Added Indonesian translation, contributed by Imam Musthaqim

 po/LINGUAS |    1 +
 po/id.po   |  521 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 522 insertions(+), 0 deletions(-)

commit 8eacf29f2a7a4d295d3ccae13272bd1eef2a9dc0
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Sat Oct 17 23:48:40 2009 -0700

    Prevent crash when logging strings that contain curly braces (LP:451015)
    
    Do not use formatting WriteLine overloads unless requested.

 src/Logger.cs |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 09e5843d560f7d774f21c4b58698656e9770708e
Author: Ivar Smolin <okul@linux.ee>
Date:   Fri Oct 9 15:25:49 2009 +0300

    Updating Estonian translation

 po/et.po |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit eb63cf854eb8b248a8bde8450dfccd203738e3c2
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Oct 8 17:54:34 2009 +0300

    Updating Estonian translation

 po/et.po |  266 ++++++++++++++++++--------------------------------------------
 1 files changed, 76 insertions(+), 190 deletions(-)

commit 1a75b07c68105e9168dfa7bdfd4c79b44b0b6fa9
Author: Priit Laes <plaes@plaes.org>
Date:   Wed Oct 7 18:57:12 2009 +0300

    Added Estonian translation.

 po/LINGUAS |    1 +
 po/et.po   |  483 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 484 insertions(+), 0 deletions(-)

commit ccc78ffb78fde24320105a5d197e921afc22796d
Author: António Lima <amrlima@gmail.com>
Date:   Mon Oct 5 16:39:41 2009 +0100

    Updated Portuguese translation

 po/pt.po |  260 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 151 insertions(+), 109 deletions(-)

commit 4bf107cd0ef51e94f8d1ca2c52821edf9d5e70ae
Author: Ray Wang <raywang@gnome.org>
Date:   Mon Oct 5 14:49:41 2009 +0800

    Updated zh_CN translation.

 po/ChangeLog |    4 +
 po/zh_CN.po  |  227 ++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 147 insertions(+), 84 deletions(-)

commit 5ca3f21d26a9f87e0cbc30f71e24b0f0670dbc99
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Sep 20 12:14:43 2009 +0200

    Updated German translation

 po/de.po |  237 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 161 insertions(+), 76 deletions(-)

commit 43725b938f1df2e46c5bf4e252ca64b9b3a7b2a8
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Sat Sep 19 10:37:02 2009 -0700

    Flags for enabling groups of backends, default to standard group (#567947)
    
    Based on a patch from Johnny Jacob and Ankit Jain.
    
    --enable-standard-backends (default:yes) brings in RTM, SQLite, EDS.
    --enable-experimental-backends (default:no) brings in Hiveminder, ICECore.
    --enable-all-backends (default:no) brings in all backends.
    
    In addition, change all --enable* flags to test !=no instead of =yes.

 configure.ac |  122 ++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 85 insertions(+), 37 deletions(-)

commit 4ab0226ca21202875bc58606815904a45b07fb33
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Sat Sep 19 08:24:29 2009 -0700

    tr_TR->tr in LINGUAS to fix make distcheck

 po/LINGUAS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9c5bf3ca812f8a807763396de74e3d8568f1b68e
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Sat Sep 19 08:20:52 2009 -0700

    Mark strings for translation (Petr Pulc and Johnny Jacob, #572074)

 src/Application.cs                       |    3 ++-
 src/Backends/Rtm/RtmPreferencesWidget.cs |   21 ++++++++++++++-------
 src/PreferencesDialog.cs                 |    2 +-
 src/TaskWindow.cs                        |    9 ++++++---
 4 files changed, 23 insertions(+), 12 deletions(-)

commit a521a82f49ebb7e2d49d464bb236313c64d406fd
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Sat Sep 19 07:46:33 2009 -0700

    Highlight overdue tasks red, and tasks due today blue (#563748)
    
    Colors are customizable, but currently do not interact with theme
    preferences in any way.  Completed tasks are always grey.
    
    Thanks to Steve George for helping with this patch.
    
    Signed-off-by: Sandy Armstrong <sanfordarmstrong@gmail.com>

 src/Preferences.cs       |    8 +++-
 src/PreferencesDialog.cs |  129 ++++++++++++++++++++++++++++++++++++++++++++-
 src/TaskTreeView.cs      |   16 +++++-
 3 files changed, 148 insertions(+), 5 deletions(-)

commit 6af18ec80224321e9b7c2dda893073b489cd40f2
Author: Anirudh Sanjeev <anirudh@anirudhsanjeev.org>
Date:   Sat Sep 19 06:56:07 2009 -0700

    Clear "New Task..." text in inputfield on drag and drop (#566052)
    
    Signed-off-by: Sandy Armstrong <sanfordarmstrong@gmail.com>

 src/TaskWindow.cs |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 676c5a35d7c833a4f6a521a55099ca3dbd14e212
Author: Karsten Stöckmann <ngc2997@gmx.net>
Date:   Fri Sep 18 16:26:10 2009 -0700

    Add ability to change category via context menu (bug #534749)

 src/TaskWindow.cs |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)

commit 14007ac46cba93aff1140dd88a3e3a614f1b3468
Author: Peter Johanson <peter@peterjohanson.com>
Date:   Fri Sep 18 15:57:57 2009 -0700

    Initial implementation of tooltip for the tray icon (bug #532915)
    
    So..... Here's my initial stab at implementing this.
    
    When digging into this, I noticed a few things that I had to tweak:
    
    1) Application.Backend had lots of logic that just manipulated the Application
    *instance*, so I moved this logic (with my additions) into an
    Application.SetBackend (IBackend backend) instance method. Cool and the gang?
    
    2) Most of the logic for filtering out what items where in "Today", "Tomorrow",
    etc was in TaskGroup, which was a *GUI* thing, not a data/model thing. In order
    to reuse the code, I created new classes TaskGroupModel, and
    CompleteTaskGroupModel, to encapsulate that logic, and make TaskGroup and
    CompleteTaskGroup make use of those models. That ok? Other suggestions?
    
    3) Ideally, the "today_model", "tomorrow_model", private fields in
    Tasque.Application could also be shared with the TaskGroup instances in the
    TaskMainWindow. I've not done this yet in this patch, so there's some extra
    memory/CPU used here that could be avoided. Worth addressing in this patch?
    Suggestions on a nice approach to doing that?
    
    Any other feedback welcome as well, of course.

 src/Application.cs             |  173 +++++++++++++++++++++++++++++++---------
 src/CompletedTaskGroup.cs      |   50 +----------
 src/CompletedTaskGroupModel.cs |   57 +++++++++++++
 src/Makefile.am                |    3 +
 src/TaskGroup.cs               |  107 +++++--------------------
 src/TaskGroupModel.cs          |  109 +++++++++++++++++++++++++
 src/TaskGroupModelFactory.cs   |   43 ++++++++++
 tasque.mdp                     |    8 +-
 8 files changed, 379 insertions(+), 171 deletions(-)

commit 33574ecccc0eebdef7fbd34d3b4a2f2e6762d2b2
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Mon Sep 14 13:43:17 2009 +0200

    Updated Polish translation

 po/pl.po |  114 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 68 insertions(+), 46 deletions(-)

commit a26214754e62d66f0a1dcfa036f3732a0b145d9f
Author: Søren Juul <zpon.dk@gmail.com>
Date:   Sat Aug 29 10:20:51 2009 +0200

    Updated Danish translation

 po/da.po |  259 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 173 insertions(+), 86 deletions(-)

commit ee25444ae14f97321ab1f521c960ed94bce22a2d
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Aug 25 14:03:32 2009 +0200

    Rename tr_TR.po to tr.po (standard)

 po/tr.po    |  356 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/tr_TR.po |  356 -----------------------------------------------------------
 2 files changed, 356 insertions(+), 356 deletions(-)

commit 9602a32c00f8bfbf1b1dfc57b1a2944acb5b53e0
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Aug 12 02:05:52 2009 +0200

    Reviewed translation

 po/hu.po |   84 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 43 insertions(+), 41 deletions(-)

commit 26dd90ecbecfb782496e800ee1a19cb23b433830
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Aug 12 01:31:08 2009 +0200

    Hungarian translation added by Gergely Szarka

 po/hu.po |  417 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 417 insertions(+), 0 deletions(-)

commit c0e191470086851ed719bad3d53cd2b3251914a8
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Aug 12 01:30:43 2009 +0200

    hu added to LINGUAS

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ae79c2611ec4a86fe97266c12bede1c24e7ed22b
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue May 26 20:38:17 2009 +0200

    Added Galician Translation.

 po/LINGUAS |    1 +
 po/gl.po   |  420 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 421 insertions(+), 0 deletions(-)

commit 4601e927dd5eda898db12c85683e8dadb3b8ca1f
Author: Matt Enright <awickedshimmy@gmail.com>
Date:   Fri May 1 14:27:19 2009 +0200

    Close task window on ESC keypress.
    
    This brings the behavior for Tasque in-line with other GNOME
    applet-style apps like Tomboy or the Hamster applet in allowing them to
    be quickly called, worked in, and then closed again.
    
    The code for the handler is pretty much straight ripped out of Tomboy,
    where I had nothing to do with writing it.
    
    Signed-off-by: Matt Enright <awickedshimmy@gmail.com>

 src/TaskWindow.cs |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 7168ac610a989c104789628bee1cb6c2a492e6f3
Author: Sira Nokyoongotong <gumaraa@gmail.com>
Date:   Tue Apr 28 14:21:03 2009 +0700

    Added Thai translation by Sira Nokyoongtong

 po/ChangeLog |    5 +
 po/LINGUAS   |    1 +
 po/th.po     |  415 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 421 insertions(+), 0 deletions(-)

commit a673fbd1f14535fcfde388b22cedc6d579d3f3db
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Sat Apr 25 23:45:25 2009 -0700

    Add mailto: prefix to foaf:mbox values.

 tasque.doap |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 86c806869e33e2321d1c87470e59b8ccae08cbe7
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Fri Apr 17 08:18:48 2009 -0700

    Add .gitignore and tasque.doap.

 .gitignore  |   84 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tasque.doap |   33 +++++++++++++++++++++++
 2 files changed, 117 insertions(+), 0 deletions(-)

commit 806f463f431c85132bc0ecd1d24eba6e05f70314
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 29 12:53:54 2009 +0000

    Updated Portuguese translation by António Lima <amrlima@gmail.com>.
    
    2009-03-29  Duarte Loreto <happyguy_pt@hotmail.com>
    
    	* pt.po: Updated Portuguese translation by António Lima
    	<amrlima@gmail.com>.
    
    svn path=/trunk/; revision=225

 po/ChangeLog |    5 +++
 po/pt.po     |  100 +++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 66 insertions(+), 39 deletions(-)

commit 6f1e4837e09aa075d0443348b14130c3efee2c8f
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Mar 26 07:12:10 2009 +0000

    Added British English translation by Jen Ockwell
    
    2009-03-26  Philip Withnall  <philip@tecnocode.co.uk>
    
    	* LINGUAS:
    	* en_GB.po: Added British English translation by Jen Ockwell
    	<jenfraggleubuntu@gmail.com>.
    
    
    svn path=/trunk/; revision=224

 po/ChangeLog |    6 +
 po/LINGUAS   |    1 +
 po/en_GB.po  |  417 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 424 insertions(+), 0 deletions(-)

commit 1b15547a5f3d1a810ab8f4c254384703b3a9a2d0
Author: Mario Blättermann <mariobl@src.gnome.org>
Date:   Sun Mar 22 20:17:08 2009 +0000

    Updated German translation
    
    svn path=/trunk/; revision=223

 po/ChangeLog |    4 +
 po/de.po     |  310 +++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 204 insertions(+), 110 deletions(-)

commit a0587cb569fc0a9c1bdb00962c3404fb2ce2f6ad
Author: Aron Xu <aronxu@src.gnome.org>
Date:   Sat Mar 21 06:11:34 2009 +0000

    Updated Simplified Chinese translations by Ray Wang <wanglei1123 at gmail dot com>
    
    svn path=/trunk/; revision=222

 po/zh_CN.po |  152 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 75 insertions(+), 77 deletions(-)

commit 33ed17742583c3ab18bb4aea61f0af0ce5bb763b
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Mar 8 03:00:00 2009 +0000

    Added Czech translation by Petr Pulc, reviewed by Lucas Lommer. Added "cs"
    
    2009-03-08  Petr Kovar  <pknbe@volny.cz>
    
    	* cs.po: Added Czech translation by Petr Pulc,
    	reviewed by Lucas Lommer.
    	* LINGUAS: Added "cs" to the list.
    
    svn path=/trunk/; revision=221

 po/ChangeLog |    6 +
 po/LINGUAS   |    1 +
 po/cs.po     |  417 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 424 insertions(+), 0 deletions(-)

commit 0f9579b9732189e3da7c9536d32bb4267fa41ec1
Author: miloc <miloc@localhost>
Date:   Sat Mar 7 15:44:49 2009 +0000

    Updated Italian translation
    
    svn path=/trunk/; revision=220

 po/ChangeLog |    4 +
 po/it.po     |  280 +++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 186 insertions(+), 98 deletions(-)

commit 23c86917993b185b7eaceec3c6d7359d2f4af9e6
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Feb 23 01:03:07 2009 +0000

    Added Portuguese translation by António Lima <amrlima@gmail.com>.
    
    2009-02-23  Duarte Loreto <happyguy_pt@hotmail.com>
    
    	* pt.po: Added Portuguese translation by António Lima
    	<amrlima@gmail.com>.
    
    svn path=/trunk/; revision=219

 po/pt.po |  415 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 415 insertions(+), 0 deletions(-)

commit 78acbb35b12ab5c2738439303db206b3be7a6a49
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Mon Feb 23 00:46:57 2009 +0000

    Added Portuguese translation by António Lima <amrlima@gmail.com>. Added
    
    2009-02-23  Duarte Loreto <happyguy_pt@hotmail.com>
    
    	* pt.po: Added Portuguese translation by António Lima
    	<amrlima@gmail.com>.
    	* LINGUAS: Added Portuguese (pt) to the list.
    
    svn path=/trunk/; revision=218

 po/ChangeLog |    6 ++++++
 po/LINGUAS   |    1 +
 2 files changed, 7 insertions(+), 0 deletions(-)

commit db80ed206f0bd649601a9eb56c35b0679e53e970
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Fri Feb 13 20:37:58 2009 +0000

    Updated Spanish translation by Nacho Hermoso de Mendoza
    
    svn path=/trunk/; revision=217

 po/ChangeLog |    4 +
 po/es.po     |  189 +++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 127 insertions(+), 66 deletions(-)

commit 42a753a38d1181376023b459c0b348802b261a92
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Mon Feb 9 05:31:54 2009 +0000

    Reverting part of previous commit. 533182#c9.
    
    svn path=/trunk/; revision=216

 ChangeLog          |    5 +++++
 src/Application.cs |    8 +++++++-
 2 files changed, 12 insertions(+), 1 deletions(-)

commit e555a4b87114fa377a30820e3f3043c39aa5f841
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Sun Feb 8 18:42:15 2009 +0000

    UI : Show Task menu entry removed. Fixes bug #533182
    
    svn path=/trunk/; revision=215

 ChangeLog          |    4 ++++
 src/Application.cs |   12 ------------
 2 files changed, 4 insertions(+), 12 deletions(-)

commit 835b84962d622331e67ae8c692ca61720451340f
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Sun Feb 8 18:22:57 2009 +0000

    Hiveminder : Create, Delete & Save notes added.
    
    svn path=/trunk/; revision=214

 ChangeLog                         |    7 +++++
 src/Backends/Hiveminder/HmNote.cs |   19 ++++++--------
 src/Backends/Hiveminder/HmTask.cs |   48 +++++++++++++++++++++++++++++-------
 3 files changed, 53 insertions(+), 21 deletions(-)

commit a1464568696bfa5dfc0101c5203c1aa023a4eb43
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Sun Feb 8 18:22:38 2009 +0000

    Hiveminder : CompleteTask added.
    
    svn path=/trunk/; revision=213

 ChangeLog                         |    4 ++++
 src/Backends/Hiveminder/HmTask.cs |   14 +++++++++-----
 2 files changed, 13 insertions(+), 5 deletions(-)

commit 6f1c716dbc840c1a301be33f95528528f3c86268
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Jan 28 01:03:54 2009 +0000

    Require evolution-sharp >= 0.18.1, according to bug #555242.
    
    * tasque/configure.ac: Require evolution-sharp >= 0.18.1, according to
      bug #555242.
    
    svn path=/trunk/; revision=212

 ChangeLog    |    5 +++++
 configure.ac |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit f41ecfda88247d0c7ecb582bf06f04814516ef45
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Sun Jan 25 05:06:16 2009 +0000

    EDS : Fixes regression. Adding task with categories.
    
    svn path=/trunk/; revision=211

 ChangeLog                       |    5 +++++
 src/Backends/EDS/EDSBackends.cs |    2 --
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 794f69a9880a8ce0be3a05a7fe86e4455edda715
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Sun Jan 25 03:52:36 2009 +0000

    Hiveminder : UpdateTask for priority & Due date.
    
    svn path=/trunk/; revision=210

 ChangeLog                               |    5 +++++
 src/Backends/Hiveminder/HmTask.cs       |    6 ++++--
 src/Backends/Hiveminder/service/Task.cs |    2 +-
 3 files changed, 10 insertions(+), 3 deletions(-)

commit f83715df613da2049dc1135853b759a9af0d7fdf
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Fri Jan 16 06:27:19 2009 +0000

    EDS : Fix for 567730. In CreateTask, use defaultCategory when AllCategory is used.
    
    svn path=/trunk/; revision=209

 ChangeLog                       |   11 +++++++++++
 src/Backends/EDS/EDSBackends.cs |   16 ++++++++++++++--
 src/Backends/EDS/EDSCategory.cs |   11 +++++++++++
 3 files changed, 36 insertions(+), 2 deletions(-)

commit 898e881acdbab81df6e72822f86cb165bc2077d1
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Thu Jan 15 15:12:47 2009 +0000

    Hiveminder : Basic code for upating tasks on server
    
    svn path=/trunk/; revision=208

 ChangeLog                                     |   15 +++++++++++-
 src/Backends/Hiveminder/HmBackend.cs          |   22 +++++++++++++----
 src/Backends/Hiveminder/HmTask.cs             |   27 +++++++++++++++-----
 src/Backends/Hiveminder/service/Hiveminder.cs |   32 +++++++++++++++++++++++-
 src/Backends/Hiveminder/service/Task.cs       |   17 +++++++++----
 5 files changed, 93 insertions(+), 20 deletions(-)

commit cf37cd7c50b0f3e467fd79bf2c468ce84b3e54cb
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Jan 6 15:26:53 2009 +0000

    Use libdir instead of prefix/lib for RtmNet DLL. Fixes bug #540983, patch
    
    * tasque/RtmNet/Makefile.am: Use libdir instead of prefix/lib for RtmNet
      DLL.  Fixes bug #540983, patch courtesy of David Kaylor.
    
    svn path=/trunk/; revision=207

 ChangeLog          |    5 +++++
 RtmNet/Makefile.am |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 92bbc0e4d42e67b1ab2f2789e7ac6dceb1ab771c
Author: Simos Xenitellis <simos@src.gnome.org>
Date:   Mon Jan 5 13:44:48 2009 +0000

    Added Greek translation.
    
    svn path=/trunk/; revision=206

 po/ChangeLog |    4 +
 po/LINGUAS   |    1 +
 po/el.po     |  410 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 415 insertions(+), 0 deletions(-)

commit fccdd21137eb7942646977f799174ea2d0c4545c
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Sat Jan 3 08:55:23 2009 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=204

 po/sv.po |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit c90e5cfc7aafc8cda0d3672a5997881d4e0257ce
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Sat Jan 3 08:40:45 2009 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=203

 po/ChangeLog |    4 ++
 po/sv.po     |  140 ++++++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 105 insertions(+), 39 deletions(-)

commit 9e1f25d2953ac803fc25d565c8561b654adc4716
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:   Wed Dec 31 00:58:26 2008 +0000

    Updated Brazilian Portuguese translation. Contributed by Henrique P
    
    2008-12-30  Leonardo Ferreira Fontenelle  <leonardof@gnome.org>
    
    	* pt_BR.po: Updated Brazilian Portuguese translation. Contributed by
    	Henrique P Machado and reviewed by Vladimir Melo.
    
    svn path=/trunk/; revision=201

 po/ChangeLog |    5 +++
 po/pt_BR.po  |  106 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 71 insertions(+), 40 deletions(-)

commit 90b0fc0bcdf0b90ee823053e553b1c9d1d17ea1f
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Sun Dec 28 12:06:29 2008 +0000

    Hiveminder : Basic CreateTask support added.
    
    svn path=/trunk/; revision=196

 ChangeLog                                     |    9 +++
 src/Backends/Hiveminder/HmBackend.cs          |   24 ++++++-
 src/Backends/Hiveminder/service/Hiveminder.cs |   96 ++++++++++++++++++++----
 src/Backends/Hiveminder/service/Task.cs       |   11 +++
 4 files changed, 121 insertions(+), 19 deletions(-)

commit c18014ea2867431b762b4c8fb43023fad228ff69
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Dec 28 11:44:08 2008 +0000

    Updated Japanese translation.
    
    2008-12-28  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
            * ja.po: Updated Japanese translation.
    
    svn path=/trunk/; revision=195

 po/ChangeLog |    4 +
 po/ja.po     |  181 ++++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 123 insertions(+), 62 deletions(-)

commit 13656e50b2af2f4c01da47f55e287447e72a766e
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Fri Dec 26 20:28:37 2008 +0000

    The comment for the Hiveminder section was mislabeled as SQLite, which
    
    * configure.ac: The comment for the Hiveminder section was mislabeled
    as SQLite, which propagates into the comments of the 'configure' file.
    No biggie.
    
    svn path=/trunk/; revision=193

 ChangeLog    |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 10bcf6d035c74cb6b52b6548b6c6e402be124a6d
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 19:20:22 2008 +0000

    Bump version to 0.1.9.
    
    * tasque/configure.ac:
    * tasque/src/Defines.WIN32.cs:
    * tasque/osx/Contents/Info.plist: Bump version to 0.1.9.
    
    svn path=/trunk/; revision=190

 ChangeLog               |    6 ++++++
 configure.ac            |    2 +-
 osx/Contents/Info.plist |    4 ++--
 src/Defines.WIN32.cs    |    2 +-
 4 files changed, 10 insertions(+), 4 deletions(-)

commit f796a1bfb9f36647591929482393448182083111
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 19:00:01 2008 +0000

    Updated for 0.1.8.
    
    * tasque/NEWS: Updated for 0.1.8.
    
    svn path=/trunk/; revision=188

 ChangeLog |    4 ++++
 NEWS      |   19 +++++++++++++++++++
 2 files changed, 23 insertions(+), 0 deletions(-)

commit 1597978c1857d5d0036bf3279807caab318fdcd6
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 18:53:20 2008 +0000

    DllImport system function from libc to open URLs, since the Process class
    
    * src/Application.cs: DllImport system function from libc to open
    URLs, since the Process class is broken in OS X 10.4 and earlier
    (should be fixed when Mono 2.2 comes out).
    
    svn path=/trunk/; revision=187

 ChangeLog             |    6 ++++++
 src/OSXApplication.cs |   10 ++++++++++
 2 files changed, 16 insertions(+), 0 deletions(-)

commit f5ae191762f6e309b8dc87492407ff62a22fbedd
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 18:37:41 2008 +0000

    In RetryBackend, only Cleanup+Initialize if the backend isn't configured.
    
    * tasque/src/Application.cs: In RetryBackend, only Cleanup+Initialize if
      the backend isn't configured. Fixes problem with backends beining
      initialized twice (reproduce by clearing prefs, launching Tasque,
      choosing Local File backend, and noticing that no category is
      selected).
    
    svn path=/trunk/; revision=186

 ChangeLog          |    8 ++++++++
 src/Application.cs |    6 ++++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit f824900fe9632553e48a7283c0c13cd0171f824d
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 18:13:47 2008 +0000

    Make lastRequestTime static, so that new Rtm instances obey it. Fixes
    
    * tasque/RtmNet/Rtm.cs: Make lastRequestTime static, so that new Rtm
      instances obey it. Fixes problem where after authenticating RTM for
      the first time, task list came back truncated like in bug #562026.
    
    svn path=/trunk/; revision=185

 ChangeLog     |    6 ++++++
 RtmNet/Rtm.cs |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 2e3fcdbf679743d0f6c29502d6dda85a653c1b95
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 17:57:48 2008 +0000

    Add OSXApplication.cs to EXTRA_DIST and POTFILES.in.
    
    * tasque/po/POTFILES.in:
    * tasque/src/Makefile.am: Add OSXApplication.cs to EXTRA_DIST and
      POTFILES.in.
    
    svn path=/trunk/; revision=184

 ChangeLog       |    4 ++++
 po/ChangeLog    |    4 ++++
 po/POTFILES.in  |    1 +
 src/Makefile.am |    1 +
 4 files changed, 10 insertions(+), 0 deletions(-)

commit 404b470087b45aff1b141a968c80b2d10c6b007b
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Dec 24 01:33:28 2008 +0000

    Update project to actually work on a Mac.
    
    * mac-prebuild.sh:
    * mac-postbuild.sh:
    * tasque-mac.csproj: Update project to actually work on a Mac.
    
    * bundle-mac-app.sh: Copy RtmNet.dll and all .mdb files into bundle.
    * osx/Contents/MacOS/Tasque: Run with --debug.
    
    * src/TaskWindow.cs: ShowWindow only shows; use new ToggleWindowVisible
    method for toggle support.
    * src/Application.cs: Use ToggleWindowVisible when tray icon is activated.
    Fix #if directives to have proper Mac support.
    * src/OSXApplications.cs: Add Window menu with ShowTasksAction.
    
    svn path=/trunk/; revision=183

 ChangeLog                 |   15 +++++
 bundle-mac-app.sh         |    3 +-
 mac-postbuild.sh          |    3 +
 mac-prebuild.sh           |    3 +
 osx/Contents/MacOS/Tasque |    2 +-
 src/Application.cs        |    6 +-
 src/OSXApplication.cs     |   14 +++-
 src/TaskWindow.cs         |   14 ++++-
 tasque-mac.csproj         |  149 ++++++++++++++++++++++-----------------------
 9 files changed, 123 insertions(+), 86 deletions(-)

commit f2fb1029f871df14c71c9d1b470b442b384da131
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 20:28:24 2008 +0000

    Add solution/project for building OS X version of Tasque.
    
    * tasque-mac.csproj:
    * tasque-mac.sln: Add solution/project for building OS X version of Tasque.
    
    svn path=/trunk/; revision=182

 ChangeLog         |    5 ++
 tasque-mac.csproj |  187 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tasque-mac.sln    |   26 +++++++
 3 files changed, 218 insertions(+), 0 deletions(-)

commit d9b936ddb509efff6e139402af0a7246654d558e
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 18:57:13 2008 +0000

    Add Hiveminder and SQLite backends, and requisite references, as well as
    
    * tasque.csproj: Add Hiveminder and SQLite backends, and requisite
    references, as well as OSXApplication.cs.
    
    * winbin/Mono.Data.Sqlite.dll:
    * winbin/sqlite3.dll: Add dependencies for SQLite backend.
    
    svn path=/trunk/; revision=181

 ChangeLog                   |    8 ++++++++
 tasque.csproj               |   22 +++++++++++++++++++++-
 winbin/Mono.Data.Sqlite.dll |  Bin 0 -> 139264 bytes
 winbin/sqlite3.dll          |  Bin 0 -> 491732 bytes
 4 files changed, 29 insertions(+), 1 deletions(-)

commit 0bf23cd7f77f0cd3bdb6c80f1f0041706cd17b02
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 16:30:22 2008 +0000

    Limit API requests to no more than one per second. Last fix for bug
    
    * tasque/RtmNet/Rtm.cs: Limit API requests to no more than one per
      second. Last fix for bug #562026. Adds some noticeable slowdown to
      certain actions (like refreshing tasks and creating tasks), but it is
      necessary. A better fix will be to store all tasks in a sqlite db
      that periodically syncs with the backend without interrupting the
      user.
    
    svn path=/trunk/; revision=180

 ChangeLog     |    8 ++++++++
 RtmNet/Rtm.cs |    7 +++++++
 2 files changed, 15 insertions(+), 0 deletions(-)

commit 837c28bbe10b4d75b6c6838426da55f8dae44501
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 15:24:17 2008 +0000

    Simplify and uncomment MarkTaskAsCompleteById. Complete task immediately,
    
    * tasque/src/RemoteControl.cs: Simplify and uncomment
      MarkTaskAsCompleteById.  Complete task immediately, without timeout
      or other fancy GUI stuff.  Fixes bug #555028.  Many thanks to Alex
      Launi for expanding our DBus interface.
    
    svn path=/trunk/; revision=179

 ChangeLog            |    7 +++++++
 src/RemoteControl.cs |   38 ++++++++++++++++++--------------------
 2 files changed, 25 insertions(+), 20 deletions(-)

commit b0c0377ca110fb216640bdf5d11e925bd475620c
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 14:54:57 2008 +0000

    Bump version to 0.1.8. Fixes bug #556549.
    
    * tasque/osx/Contents/Info.plist: Bump version to 0.1.8.  Fixes bug
      #556549.
    
    svn path=/trunk/; revision=178

 ChangeLog               |    4 ++++
 osx/Contents/Info.plist |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 24b4de809c87b01297a86a500fc1b4ea881ead26
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 14:48:45 2008 +0000

    Only make one call to ListsGetList during RefreshThreadLoop.
    
    * tasque/src/Backends/Rtm/RtmBackend.cs: Only make one call to
      ListsGetList during RefreshThreadLoop.
    
    svn path=/trunk/; revision=177

 ChangeLog                      |    5 +++++
 src/Backends/Rtm/RtmBackend.cs |   11 +++++------
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 588db1078608c9e44e2c5594cb1de92abfef082d
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 05:35:53 2008 +0000

    Update REST URL base. Beginning of fix for bug #562026.
    
    * tasque/RtmNet/Rtm.cs: Update REST URL base. Beginning of fix for bug
      #562026.
    
    svn path=/trunk/; revision=176

 ChangeLog     |    4 ++++
 RtmNet/Rtm.cs |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit ba8bf3c9539febbf3f1ecd79563f32b7c1d52e7c
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 04:34:58 2008 +0000

    Add a white EventBox to contain the RTM logo. Kind of ugly, but I'm
    
    * tasque/src/Backends/Rtm/RtmPreferencesWidget.cs: Add a white EventBox
      to contain the RTM logo. Kind of ugly, but I'm willing to say we've
      fixed bug #532766.
    
    svn path=/trunk/; revision=175

 ChangeLog                                |    6 ++++++
 src/Backends/Rtm/RtmPreferencesWidget.cs |   13 ++++++++++---
 2 files changed, 16 insertions(+), 3 deletions(-)

commit d9b38d6839d007688a154afa311ffe2a41cd42eb
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 00:45:47 2008 +0000

    Enable translator-credits string for About dialog.
    
    * tasque/src/Application.cs: Enable translator-credits string for About
      dialog.
    
    svn path=/trunk/; revision=174

 ChangeLog          |    4 ++++
 src/Application.cs |   15 +++++++--------
 2 files changed, 11 insertions(+), 8 deletions(-)

commit 4c9628188dd03f30a6f77497f440fb2eb480784f
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 00:30:30 2008 +0000

    Don't hardcode gmcs; use $(GMCS) instead. Fixes bug #562845, patch
    
    * tasque/src/Makefile.am:
    * tasque/Makefile.include:
    * tasque/RtmNet/Makefile.am: Don't hardcode gmcs; use $(GMCS) instead.
      Fixes bug #562845, patch courtesy of James Westby.
    
    svn path=/trunk/; revision=173

 ChangeLog          |    7 +++++++
 Makefile.include   |    2 +-
 RtmNet/Makefile.am |    2 +-
 src/Makefile.am    |    2 +-
 4 files changed, 10 insertions(+), 3 deletions(-)

commit 841cf8835b528b30271a1e033450e2a89e656cc1
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Dec 23 00:16:36 2008 +0000

    Have FilterFunc return false when the given task is null. Fixes crash
    
    * tasque/src/TaskTreeView.cs: Have FilterFunc return false when the
      given task is null. Fixes crash reported in bug #526662.
    
    * tasque/src/Backends/Sqlite/SqliteBackend.cs: Don't try to close a null
      database.
    
    svn path=/trunk/; revision=172

 ChangeLog                            |    8 ++++++++
 src/Backends/Sqlite/SqliteBackend.cs |    6 +++++-
 src/TaskTreeView.cs                  |    5 +++++
 3 files changed, 18 insertions(+), 1 deletions(-)

commit a0302287da9c7b6fa63eacbe184a31fc5088b2c1
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Dec 22 23:51:56 2008 +0000

    Handle exceptions when trying to get an authorization URL for RTM. Fixes
    
    * tasque/src/Backends/Rtm/RtmPreferencesWidget.cs: Handle exceptions
      when trying to get an authorization URL for RTM. Fixes bug #563932.
    
    svn path=/trunk/; revision=171

 ChangeLog                                |    5 +++++
 src/Backends/Rtm/RtmPreferencesWidget.cs |    9 ++++++++-
 2 files changed, 13 insertions(+), 1 deletions(-)

commit 50c5978c40b8da9505a7469972c4e4cb5fb4c981
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Dec 22 22:40:10 2008 +0000

    Implement task deletion. Fixes bug #551717, patch courtesy of Andreia
    
    * tasque/src/Backends/Sqlite/SqliteBackend.cs: Implement task deletion.
      Fixes bug #551717, patch courtesy of Andreia Gaita and Stefan
      Schlott.
    
    svn path=/trunk/; revision=170

 ChangeLog                            |    5 +++++
 src/Backends/Sqlite/SqliteBackend.cs |    7 +++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 9ebaae000d20c8f6f253eedf2a69d20027750d10
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Dec 22 22:32:11 2008 +0000

    Don't try to create a new TaskWindow if the backend is not yet set. Fixes
    
    * tasque/src/TaskWindow.cs: Don't try to create a new TaskWindow if the
      backend is not yet set. Fixes bug #564344.
    
    svn path=/trunk/; revision=169

 ChangeLog         |    5 +++++
 src/TaskWindow.cs |    6 +-----
 2 files changed, 6 insertions(+), 5 deletions(-)

commit 20f77aa14427ac414e1602f2872d6bbbe447b6d6
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Dec 22 22:20:48 2008 +0000

    If the prefrences file is invalid, recreate it. Fixes bug #562729.
    
    * tasque/src/Preferences.cs: If the prefrences file is invalid, recreate
      it. Fixes bug #562729.
    
    svn path=/trunk/; revision=168

 ChangeLog          |    5 +++++
 src/Preferences.cs |    7 ++++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit 50cb08c648793c594e405f3204fa4e6772afde16
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:   Sat Dec 6 12:53:18 2008 +0000

    Updated Brazilian Portuguese translation. Contributed by Fábio Nogueira.
    
    2008-12-06  Leonardo Ferreira Fontenelle  <leonardof@gnome.org>
    
    	* pt_BR.po: Updated Brazilian Portuguese translation. Contributed by
    	Fábio Nogueira.
    
    svn path=/trunk/; revision=163

 po/ChangeLog |    5 +++++
 po/pt_BR.po  |   11 ++++++-----
 2 files changed, 11 insertions(+), 5 deletions(-)

commit 84186f7aa6d2defd6629e142a7c7e8d0f4b73707
Author: Steve Frécinaux <sfre@src.gnome.org>
Date:   Wed Nov 26 20:50:01 2008 +0000

    Implement Notes support for the SQLite backend (Bug 561430)
    
    svn path=/trunk/; revision=162

 ChangeLog                         |    6 ++++
 src/Backends/Sqlite/SqliteNote.cs |   22 +++++++++++------
 src/Backends/Sqlite/SqliteTask.cs |   47 +++++++++++++++++++++++++++++++-----
 3 files changed, 60 insertions(+), 15 deletions(-)

commit 8d0456ee407b3415d4422e52d59fbabf54d73f01
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Fri Nov 14 21:17:35 2008 +0000

    Added Russian translation by Alexander Telenga.
    
    svn path=/trunk/; revision=161

 po/ChangeLog |    6 +
 po/LINGUAS   |    1 +
 po/ru.po     |  330 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 337 insertions(+), 0 deletions(-)

commit 9cd4ab7c2facc257e39d1a91b9a8a15984fd6af0
Author: Wadim Dziedzic <wadimd@src.gnome.org>
Date:   Wed Nov 12 23:07:55 2008 +0000

    svn path=/trunk/; revision=160
    
    
    
    svn path=/trunk/; revision=160

 po/pl.po |  423 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 423 insertions(+), 0 deletions(-)

commit 7df8fd29b76b0d01c778e9f30f3540d23895301a
Author: Wadim Dziedzic <wadimd@src.gnome.org>
Date:   Wed Nov 12 23:07:44 2008 +0000

    svn path=/trunk/; revision=159
    
    
    
    svn path=/trunk/; revision=159

 po/ChangeLog |    4 ++++
 po/LINGUAS   |    1 +
 2 files changed, 5 insertions(+), 0 deletions(-)

commit fadbd9da7fec74819541f7f0084f4aaf6fc8deac
Author: Leonardo Ferreira Fontenelle <leonardof@gnome.org>
Date:   Sat Nov 8 00:48:51 2008 +0000

    reviewed by: Vladimir Melo.
    
    2008-11-07  Leonardo Ferreira Fontenelle  <leonardof@gnome.org>
    
    	reviewed by: Vladimir Melo.
    
    	* pt_BR.po: Updated Brazilian Portuguese translation by Leonardo
    	Gregianin.
    
    svn path=/trunk/; revision=158

 po/ChangeLog |    7 ++
 po/pt_BR.po  |  291 +++++++++++++++++++++++++++++++++++++---------------------
 2 files changed, 193 insertions(+), 105 deletions(-)

commit 611ec6b9a9cba4fc3d30e17578d42ed855fe7df6
Author: Funda Wang <fwang@src.gnome.org>
Date:   Thu Oct 30 05:29:29 2008 +0000

    updated zh_CN translation
    
    svn path=/trunk/; revision=157

 po/ChangeLog |    4 +
 po/zh_CN.po  |  188 ++++++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 128 insertions(+), 64 deletions(-)

commit 791d3d16b285443bd833ec171deaa610a214c863
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Oct 28 05:05:00 2008 +0000

    Install to $(libdir) instead of $(prefix)/lib, to properly support 64-bit
    
    * tasque/src/tasque.in:
    * tasque/src/Makefile.am: Install to $(libdir) instead of $(prefix)/lib,
      to properly support 64-bit environments.  Fixes bug #540983.
    
    * tasque/po/POTFILES.in: Add RtmPreferencesWidget, which now has
      translatable strings.
    
    svn path=/trunk/; revision=156

 ChangeLog       |    6 ++++++
 po/ChangeLog    |    5 +++++
 po/POTFILES.in  |    1 +
 src/Makefile.am |    2 +-
 src/tasque.in   |    5 +++--
 5 files changed, 16 insertions(+), 3 deletions(-)

commit 6faeed8ce72a7f94e69af9c07fc3f03d7f1ca8a8
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sun Oct 26 15:34:28 2008 +0000

    Sanitize task name text before inserting into database. Fixes crasher bug
    
    * tasque/src/Backends/Sqlite/SqliteTask.cs: Sanitize task name text
      before inserting into database.  Fixes crasher bug #537911.  Thanks
      to Geert van Dijk and Loganathan Subramaniam for their assistance
      with this patch.
    
    * tasque/src/Backends/Sqlite/SqliteBackend.cs: Add SanitizeText method,
      which currently just replaces single apostrophes with
      double-apostrophes.
    
    svn path=/trunk/; revision=155

 ChangeLog                            |   10 ++++++++++
 src/Backends/Sqlite/SqliteBackend.cs |   11 +++++++++++
 src/Backends/Sqlite/SqliteTask.cs    |    4 +++-
 3 files changed, 24 insertions(+), 1 deletions(-)

commit aeb5994d0b5355417be9271654fc4d3d9193f8b3
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sun Oct 26 14:08:56 2008 +0000

    Support "--quiet" command line option to start Tasque with its main window
    
    * tasque/src/TaskWindow.cs:
    * tasque/src/Application.cs: Support "--quiet" command line option to
      start Tasque with its main window hidden at first.  Also added
      "--backend My.Backend.Class", though the old behavior of just
      allowing "My.Backend.Class" is still supported.  Thanks to Charles
      Schaefer for his help on this patch.
    
    svn path=/trunk/; revision=154

 ChangeLog          |    9 +++++++++
 src/Application.cs |   50 +++++++++++++++++++++++++++++++++++++++++---------
 src/TaskWindow.cs  |    7 ++++---
 3 files changed, 54 insertions(+), 12 deletions(-)

commit 1a5ca3be46aa10d6dcecaa700616aeab40016f6c
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sun Oct 26 13:28:27 2008 +0000

    Add CreateTask override that enables due date parsing (assuming it is also
    
    * tasque/src/RemoteControl.cs: Add CreateTask override that enables due
      date parsing (assuming it is also enabled in Tasque preferences).
      Fixes bug #542113, patch courtesy of Johannes.
    
    svn path=/trunk/; revision=153

 ChangeLog            |    6 ++++++
 src/RemoteControl.cs |   48 ++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 50 insertions(+), 4 deletions(-)

commit 066d3292368d33b21df2580108c055bd514d5fb3
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 22 13:13:18 2008 +0000

    Additional fixes (including crash fix) for bug #532766, thanks to Joel Bennett.
    
    * tasque/src/TaskGroup.cs: Override OnStyleSet to manage the Pango
      markup of the header.
    
    * tasque/src/TaskWindow.cs: Move targetVBox init code back to
      constructor, don't call PopulateWindow in OnStyleSet (obsoleted by
      fixes to TaskGroup), and be sure to update the addTaskEntry color
      based on the new style, if it's showing the default text.
    
    svn path=/trunk/; revision=152

 ChangeLog         |   12 ++++++++++++
 src/TaskGroup.cs  |   19 +++++++++++++++----
 src/TaskWindow.cs |   20 ++++++++++++--------
 3 files changed, 39 insertions(+), 12 deletions(-)

commit 0f1b830d4a2b00a06b37140a645b98984e17687a
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Tue Oct 21 21:25:42 2008 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=151

 po/ChangeLog |    4 +
 po/sv.po     |  199 +++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 117 insertions(+), 86 deletions(-)

commit b73072b57ca4243dd28c7775b675fac78f5477b9
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Oct 21 15:17:05 2008 +0000

    Fixes for bug #532766, courtesy of Guillaume Beland.
    
    * tasque/src/NoteDialog.cs:
    * tasque/src/Backends/Rtm/RtmPreferencesWidget.cs: Do not paint the
      background white.
    
    * tasque/src/Utilities.cs: Add ColorGetHex method, stolen from Banshee,
      that takes a Gdk.Color and makes a hex string like "#FFFFFF".
    
    * tasque/src/TaskGroup.cs: Green was a pretty header color, but let's
      use the "selected" state color from the GTK+ theme instead.
    
    * tasque/src/TaskWindow.cs: Get the background color from the GTK+ theme
      instead of just using white.  Some whitespace fixes.
    
    svn path=/trunk/; revision=150

 ChangeLog                                |   15 ++++++
 src/Backends/Rtm/RtmPreferencesWidget.cs |    2 -
 src/NoteDialog.cs                        |    5 +--
 src/TaskGroup.cs                         |   28 ++++++++++--
 src/TaskWindow.cs                        |   71 ++++++++++++++++++++----------
 src/Utilities.cs                         |   17 +++++++-
 6 files changed, 103 insertions(+), 35 deletions(-)

commit 0a6603c92af585e42db85705d1a152d5ceddecef
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Oct 21 04:34:53 2008 +0000

    Don't crash if default browser isn't set, and mark some old strings for
    
    * tasque/src/Backends/Rtm/RtmPreferencesWidget.cs: Don't crash if
      default browser isn't set, and mark some old strings for translation.
       Fixes bug #552944, patch courtesy of Loganathan Subramaniam.
    
    svn path=/trunk/; revision=149

 ChangeLog                                |    6 ++++++
 src/Backends/Rtm/RtmPreferencesWidget.cs |   20 +++++++++++++-------
 2 files changed, 19 insertions(+), 7 deletions(-)

commit ad99a3092c6a6811e865c6405b3bfff79dedd935
Author: Funda Wang <fwang@src.gnome.org>
Date:   Mon Oct 20 09:05:54 2008 +0000

    Updated zh_CN translation.
    
    svn path=/trunk/; revision=148

 po/ChangeLog |    4 +
 po/zh_CN.po  |  260 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 135 insertions(+), 129 deletions(-)

commit 50c289ee81fc6c2ac523fa87a067ce5919fe8a8e
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Wed Oct 15 14:49:12 2008 +0000

    Hiveminder Backend : Cleaned up redundant code. Use Path.PathSeperator in file path construction
    
    svn path=/trunk/; revision=147

 ChangeLog                            |    7 +++++++
 src/Backends/Hiveminder/HmBackend.cs |    3 ++-
 src/Backends/Hiveminder/HmTask.cs    |   13 ++-----------
 3 files changed, 11 insertions(+), 12 deletions(-)

commit 92cc209d71330b1a3324196fcfc7c7dc009653a4
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Wed Oct 15 14:14:26 2008 +0000

    Hiveminder Backend : Coding style & typo fixes
    
    svn path=/trunk/; revision=146

 ChangeLog                                      |    6 +++++
 src/Backends/Hiveminder/HmBackend.cs           |    4 +-
 src/Backends/Hiveminder/HmPreferencesWidget.cs |    2 +-
 src/Backends/Hiveminder/service/Hiveminder.cs  |   29 ++++++++++--------------
 4 files changed, 21 insertions(+), 20 deletions(-)

commit bf1d874d1ffa308887a47d933fec9e2d7b3355a8
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 15 13:01:27 2008 +0000

    Remove WindowsApplication reference.
    
    * tasque/tasque.mdp: Remove WindowsApplication reference.
    
    svn path=/trunk/; revision=145

 ChangeLog  |    4 ++++
 tasque.mdp |    1 -
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 35a9e5391baa32a80d58b58a4f62a9ecfb7169c7
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 15 12:57:15 2008 +0000

    Surround paths in build events with quotes. Fix from Dmitry Radkovsky.
    
    * tasque/tasque.csproj: Surround paths in build events with quotes.  Fix
      from Dmitry Radkovsky.
    
    svn path=/trunk/; revision=144

 ChangeLog     |    5 +++++
 tasque.csproj |    6 +++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit d0221d95b8f538e6706182c80492bec741ec2f1a
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Wed Oct 15 11:27:40 2008 +0000

    Fixes build break. Bad reference to OAuth namespace
    
    svn path=/trunk/; revision=143

 ChangeLog                                      |    5 +++++
 src/Backends/Hiveminder/HmPreferencesWidget.cs |    2 --
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 01af7a0f7852ea6c8a5d18eedc605402d10971fa
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Tue Oct 14 20:54:51 2008 +0000

    Hiveminder Backend : Project & Makefile changes
    
    svn path=/trunk/; revision=142

 ChangeLog       |    7 ++++++-
 configure.ac    |   10 ++++++++++
 src/Makefile.am |   17 +++++++++++++++--
 tasque.mdp      |   10 ++++++++++
 4 files changed, 41 insertions(+), 3 deletions(-)

commit db8c8df64d48715102d872378310279d74bdf7f6
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Tue Oct 14 20:54:25 2008 +0000

    Hiveminder Backend : Initial code commit.
    
    svn path=/trunk/; revision=141

 ChangeLog                                          |    7 +-
 src/Backends/Hiveminder/HmBackend.cs               |  356 +++++++++++++++++++
 src/Backends/Hiveminder/HmCategory.cs              |   87 +++++
 src/Backends/Hiveminder/HmNote.cs                  |   49 +++
 src/Backends/Hiveminder/HmPreferencesWidget.cs     |  107 ++++++
 src/Backends/Hiveminder/HmTask.cs                  |  363 ++++++++++++++++++++
 src/Backends/Hiveminder/service/Group.cs           |   51 +++
 src/Backends/Hiveminder/service/Hiveminder.cs      |  188 ++++++++++
 .../Hiveminder/service/HiveminderException.cs      |   36 ++
 src/Backends/Hiveminder/service/Task.cs            |   90 +++++
 10 files changed, 1333 insertions(+), 1 deletions(-)

commit b8ce5927be3d0c081a54b8eaea5dfa2675033ea1
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Oct 14 18:25:26 2008 +0000

    Add zh_TW.
    
    * tasque/po/LINGUAS: Add zh_TW.
    
    * tasque/po/zh_TW.po: Traditional Chinese translation by Yuren Ju
      <yurenju@gmail.com>.
    
    svn path=/trunk/; revision=140

 po/ChangeLog |    7 +
 po/LINGUAS   |    1 +
 po/zh_TW.po  |  355 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 363 insertions(+), 0 deletions(-)

commit 9e4aebb303a78d23b01c53aba5053f1047b88c47
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Oct 14 04:31:58 2008 +0000

    Split RtmNet code into its own project. Set CLSCompliant to True again.
    
    * tasque.csproj:
    * tasque.sln:
    * RtmNet/RtmNet.csproj: Split RtmNet code into its own project.
    * RtmNet/AssemblyInfo.cs: Set CLSCompliant to True again.
    
    svn path=/trunk/; revision=139

 ChangeLog              |    9 +++++-
 RtmNet/AssemblyInfo.cs |    2 +-
 RtmNet/RtmNet.csproj   |   74 ++++++++++++++++++++++++++++++++++++++++++++++++
 tasque.csproj          |   31 ++++----------------
 tasque.sln             |    6 ++++
 5 files changed, 95 insertions(+), 27 deletions(-)

commit 83beaeec80e86926ff28b96d35944a3e8dd575b2
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Oct 14 03:51:24 2008 +0000

    Change output type to WinExe to prevent DOS window.
    
    * tasque.csproj: Change output type to WinExe to prevent DOS window.
    
    svn path=/trunk/; revision=138

 ChangeLog     |    4 ++++
 tasque.csproj |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit eceafcf2a140edd8dc35aab1b66b5c9bccb75212
Author: Takeshi AIHANA <takeshi.aihana@gmail.com>
Date:   Sun Oct 12 03:06:21 2008 +0000

    Added Japanese translation. Added 'ja' to the list.
    
    2008-10-12  Takeshi AIHANA <takeshi.aihana@gmail.com>
    
            * ja.po: Added Japanese translation.
            * LINGUAS: Added 'ja' to the list.
    
    svn path=/trunk/; revision=137

 po/ChangeLog |    5 +
 po/LINGUAS   |    1 +
 po/ja.po     |  358 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 364 insertions(+), 0 deletions(-)

commit 70d9257d20aaf450a35016fec8b4d5231612c843
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat Oct 11 16:06:33 2008 +0000

    Correct handling of "--enable" flags. Fixes bug #555921, patch courtesy of
    
    * tasque/configure.ac: Correct handling of "--enable" flags.  Fixes bug
      #555921, patch courtesy of Romain Tartière.
    
    svn path=/trunk/; revision=136

 ChangeLog    |    5 +++++
 configure.ac |   14 +++++++-------
 2 files changed, 12 insertions(+), 7 deletions(-)

commit 1bc7dcfbbfb769009fd679b9feddb3159c301005
Author: Jorge Gonzalez Gonzalez <jorgegonz@src.gnome.org>
Date:   Sat Oct 11 15:28:20 2008 +0000

    Updated Spanish translation
    
    svn path=/trunk/; revision=135

 po/ChangeLog |    4 +
 po/es.po     |  237 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 133 insertions(+), 108 deletions(-)

commit c074e066efc7d9d883d7ac46acdf3dd6fe520023
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:49:29 2008 +0000

    Add comment about need for review.
    
    * tasque/src/RemoteControl.cs: Add comment about need for review.
    
    svn path=/trunk/; revision=134

 ChangeLog            |    4 ++++
 src/RemoteControl.cs |    3 ++-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 7edfd033ba2bd41e80ceba5d991ab33880a73b71
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:44:45 2008 +0000

    fix ChangeLog formatting again
    
    svn path=/trunk/; revision=133

 ChangeLog |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 7f2cff6b47aaece84d69cdc238fe56310dfd6667
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:44:14 2008 +0000

    Accidentally committed Alex Launi's patch for bug #555028, which adds a
    
    * tasque/src/RemoteControl.cs: Accidentally committed Alex Launi's patch
      for bug #555028, which adds a bunch of really useful dbus methods:
      GetTaskIds, GetNameForTaskById, GetCategoryForTaskById,
      GetStateForTaskById, and MarkTaskAsCompleteById.  In this commit I'm
      commenting-out MarkTaskAsCompleteById because it still needs to be
      reviewed.
    
    svn path=/trunk/; revision=132

 ChangeLog            |    7 +++++++
 src/RemoteControl.cs |   38 +++++++++++++++++++-------------------
 2 files changed, 26 insertions(+), 19 deletions(-)

commit 494222c52bccee7a886b082b1de44f37d15e8a19
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:37:49 2008 +0000

    fix ChangeLog formatting again
    
    svn path=/trunk/; revision=131

 ChangeLog            |    4 +-
 src/RemoteControl.cs |  123 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 126 insertions(+), 1 deletions(-)

commit fb28f48b13272fb19d4410daf1c85f391342d76e
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:36:10 2008 +0000

    WindowsApplication -> GtkApplication
    
    * tasque/tasque.mdp: WindowsApplication -> GtkApplication
    
    svn path=/trunk/; revision=130

 ChangeLog  |    2 ++
 tasque.mdp |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 9c2ed42e1f4db4c5a900f50fdae813b44e5196b4
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:02:19 2008 +0000

    fix ChangeLog formatting
    
    svn path=/trunk/; revision=129

 ChangeLog |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit e5624830e44678948900decb42ceddf9d2812610
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Oct 8 13:01:09 2008 +0000

    Increased readability of boolean expressions. Fixes bug #555168, patch
    
    * tasque/src/TaskGroup.cs:
    * tasque/src/Utilities.cs:
    * tasque/src/TaskWindow.cs:
    * tasque/src/Preferences.cs:
    * tasque/src/Application.cs:
    * tasque/src/TaskTreeView.cs:
    * tasque/src/AbstractTask.cs:
    * tasque/src/RemoteControl.cs:
    * tasque/src/PreferencesDialog.cs:
    * tasque/src/CompletedTaskGroup.cs:
    * tasque/src/Backends/EDS/EDSBackends.cs:
    * tasque/src/Backends/IceCore/IceBackend.cs:
    * tasque/src/Backends/Dummy/DummyBackend.cs:
    * tasque/src/Backends/Sqlite/SqliteBackend.cs: Increased readability of
      boolean expressions.  Fixes bug #555168, patch courtesy of Alex
      Launi.
    
    svn path=/trunk/; revision=128

 ChangeLog                            |   18 +++++++++++++-
 src/AbstractTask.cs                  |    4 +-
 src/Application.cs                   |    8 +++---
 src/Backends/Dummy/DummyBackend.cs   |    4 +-
 src/Backends/EDS/EDSBackends.cs      |    4 +-
 src/Backends/IceCore/IceBackend.cs   |    6 ++--
 src/Backends/Sqlite/SqliteBackend.cs |    4 +-
 src/CompletedTaskGroup.cs            |    8 +++---
 src/Preferences.cs                   |    2 +-
 src/PreferencesDialog.cs             |   12 ++++----
 src/RemoteControl.cs                 |   10 ++++----
 src/TaskGroup.cs                     |   28 ++++++++++----------
 src/TaskTreeView.cs                  |   10 ++++----
 src/TaskWindow.cs                    |   44 +++++++++++++++++-----------------
 src/Utilities.cs                     |    2 +-
 15 files changed, 90 insertions(+), 74 deletions(-)

commit ba3c148525ba2315cfd0a241b637553ea909471b
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Oct 6 13:02:35 2008 +0000

    WindowsApplication.cs -> GtkApplication.cs.
    
    * tasque.csproj: WindowsApplication.cs -> GtkApplication.cs.
    
    svn path=/trunk/; revision=127

 ChangeLog     |    4 ++++
 tasque.csproj |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 800960279510c752927ffb7542e26ba71803eec4
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Sep 29 23:50:50 2008 +0000

    Use those variables, silly.
    
    * bundle-mac-app.sh: Use those variables, silly.
    
    svn path=/trunk/; revision=126

 ChangeLog         |    4 ++++
 bundle-mac-app.sh |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit c4e844e51f346bfd698b3fb882d5cac94237e109
Author: Jakub Steiner <jimmac@ximian.com>
Date:   Mon Sep 29 16:23:17 2008 +0000

    add a high resolution icon for the OSX build. Still figuring out how to
    
    2008-09-29  Jakub Steiner <jimmac@ximian.com>
    
    * data/images/tasque-256.png:
    * data/images/tasque-icons-source.svg: add a high resolution
    icon for the OSX build. Still figuring out how to produce the
    native icon format.
    
    svn path=/trunk/; revision=125

 ChangeLog |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6c2b48ba51b00d7a10f645fdd9b18f1ac7b93fca
Author: Jakub Steiner <jimmac@ximian.com>
Date:   Mon Sep 29 16:23:09 2008 +0000

    add a high resolution icon for the OSX build. Still figuring out how to
    
    2008-09-29  Jakub Steiner <jimmac@ximian.com>
    
    * data/images/tasque-256.png:
    * data/images/tasque-icons-source.svg: add a high resolution
    icon for the OSX build. Still figuring out how to produce the
    native icon format.
    
    svn path=/trunk/; revision=124

 ChangeLog                           |    6 +
 data/images/tasque-256.png          |  Bin 0 -> 30119 bytes
 data/images/tasque-icons-source.svg |13667 +++--------------------------------
 3 files changed, 1168 insertions(+), 12505 deletions(-)

commit 1716f6370b5f1e5c5dc833888eeb6877680a51a3
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Sep 29 15:10:24 2008 +0000

    Use OSXApplication if OSX is defined.
    
    2008-09-29  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* src/Application.cs: Use OSXApplication if OSX is defined.
    
    svn path=/trunk/; revision=123

 ChangeLog |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 14fc624d329735ece04fd4229c5ee190daf5ce9e
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Sep 29 15:09:57 2008 +0000

    svn:eol-style
    
    svn path=/trunk/; revision=122

commit cbe7436295bdbab685529d652fbd3f689ffd5549
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Sep 29 15:09:21 2008 +0000

    Use OSXApplication if OSX is defined.
    
    2008-09-29  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* src/Application.cs: Use OSXApplication if OSX is defined.
    
    svn path=/trunk/; revision=121

 src/Application.cs    |    4 ++-
 src/OSXApplication.cs |   75 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+), 1 deletions(-)

commit 2d980d123b746c3c60b3ba5623d72f2fa6f95c34
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Sep 29 15:08:21 2008 +0000

    Added pre-compiled ige-mac-integration-sharp.dll from Eoin's banshee-osx
    
    2008-09-29  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* macbin/: Added pre-compiled ige-mac-integration-sharp.dll from
    	  Eoin's banshee-osx git repo.  Thanks Eoin!
    	* osx/: Configuration, execution, and icon files for app bundle.
    	* bunde-mac-app.sh: Stupid little script to build the app bundle.
    	* data/images/tasque.ico: Windows icon, for the future.
    	* RtmNet/AssemblyInfo.cs: No need to be CLSCompliant.
    	* src/OSXApplication.cs: Integration code for Mac menu bar.
    
    svn path=/trunk/; revision=120

 ChangeLog |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit f3b5675d979ae4353563b6e040307c3777d59c28
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Sep 29 15:04:40 2008 +0000

    Added pre-compiled ige-mac-integration-sharp.dll from Eoin's banshee-osx
    
    2008-09-29  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* macbin/: Added pre-compiled ige-mac-integration-sharp.dll from
    	  Eoin's banshee-osx git repo.  Thanks Eoin!
    	* osx/: Configuration, execution, and icon files for app bundle.
    	* bunde-mac-app.sh: Stupid little script to build the app bundle.
    	* data/images/tasque.ico: Windows icon, for the future.
    	* RtmNet/AssemblyInfo.cs: No need to be CLSCompliant.
    	* src/OSXApplication.cs: Integration code for Mac menu bar.
    
    svn path=/trunk/; revision=119

 RtmNet/AssemblyInfo.cs               |    2 +-
 bundle-mac-app.sh                    |   19 +++++++++++++++++++
 data/images/tasque.ico               |  Bin 0 -> 285478 bytes
 macbin/ige-mac-integration-sharp.dll |  Bin 0 -> 12288 bytes
 osx/Contents/Info.plist              |   28 ++++++++++++++++++++++++++++
 osx/Contents/MacOS/Tasque            |   13 +++++++++++++
 osx/Contents/Resources/tasque.icns   |  Bin 0 -> 141249 bytes
 7 files changed, 61 insertions(+), 1 deletions(-)

commit 943bf7af061f8fb8ebddd505d29e70a1c0d5b7c1
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Sep 29 13:42:40 2008 +0000

    Complete rename of WindowsApplication->GtkApplication.
    
    * src/GtkApplication.cs, src/Makefile.am, src/WindowsApplication.cs:
      Complete rename of WindowsApplication->GtkApplication.
    
    svn path=/trunk/; revision=118

 ChangeLog                 |    5 ++
 src/GtkApplication.cs     |   95 +++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am           |    2 +-
 src/WindowsApplication.cs |   95 ---------------------------------------------
 4 files changed, 101 insertions(+), 96 deletions(-)

commit e4a90ede22c129aa52375c8a8ce6f192726010bc
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Sep 29 13:41:06 2008 +0000

    Rename to GtkApplication, mark everything virtual. Expose the StatusIcon
    
    * src/WindowsApplication.cs: Rename to GtkApplication, mark everything
      virtual.
    * src/Application.cs: Expose the StatusIcon as a public property, and
      call nativeApp.InitializeIdle at the end of InitializeIdle.
    * src/GnomeApplication.cs, src/NativeApplication.cs: Add InitializeIdle
      method to INativeApplication.
    
    svn path=/trunk/; revision=117

 ChangeLog                 |    9 +++++++++
 src/Application.cs        |   10 +++++++++-
 src/GnomeApplication.cs   |    4 ++++
 src/NativeApplication.cs  |    1 +
 src/WindowsApplication.cs |   22 +++++++++++++---------
 5 files changed, 36 insertions(+), 10 deletions(-)

commit 886a12f05ac73ef6dd5835d851bdc3beb04f2565
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Sun Sep 28 04:01:47 2008 +0000

    Updated the LINGUAS file to include some of the recent translations that
    
    * LINGUAS: Updated the LINGUAS file to include some of the recent
    translations that were added to po :)
    
    svn path=/trunk/; revision=116

 po/ChangeLog |    5 +++++
 po/LINGUAS   |    4 +++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 1fb582076762bae59396e763e6ae0902d2e17bcc
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sun Sep 28 03:57:30 2008 +0000

    Initialize Catalog on application Init. New Spanish translation by Nacho
    
    * src/GnomeApplication.cs: Initialize Catalog on application Init.
    * po/LINGUAS, po/es.po: New Spanish translation by Nacho
      <gnacho@gmail.com>.
    
    svn path=/trunk/; revision=115

 ChangeLog               |    4 +
 po/ChangeLog            |    4 +
 po/LINGUAS              |    1 +
 po/es.po                |  341 +++++++++++++++++++++++++++++++++++++++++++++++
 src/GnomeApplication.cs |    1 +
 5 files changed, 351 insertions(+), 0 deletions(-)

commit 4614eef8e88be0e4a08d3ca8dd5213fa9e80ef3d
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat Sep 27 15:37:23 2008 +0000

    Add Mono --debug, --trace, and --profile support to "tasque" command. Use
    
    * src/tasque.in: Add Mono --debug, --trace, and --profile support to
      "tasque" command.
    * src/Application.cs: Use UIManager to construct/manage tray icon menu.
       Add Sandy and Brian to the "Authors" area of the About dialog.
    * src/Makefile.am: Install .mdb file for debugging purposes.
    
    svn path=/trunk/; revision=114

 ChangeLog          |    8 +++
 src/Application.cs |  130 +++++++++++++++++++++++++++++++---------------------
 src/Makefile.am    |    4 +-
 src/tasque.in      |   21 ++++++++-
 4 files changed, 109 insertions(+), 54 deletions(-)

commit fc49f36a92fa2931ffb8afd29a3b2ae61afa14dc
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Fri Sep 26 15:24:21 2008 +0000

    Remove unused references and build for .NET 2.0, not 3.5.
    
    2008-09-26  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* tasque.csproj: Remove unused references and build for .NET 2.0, not 3.5.
    
    svn path=/trunk/; revision=113

 ChangeLog     |    4 ++++
 tasque.csproj |    6 +-----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 6644de887a77307102d3768b09d55c395a4fa976
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Fri Sep 26 11:01:44 2008 +0000

    Task Filtering : Categories : Let it fill up the available space in the dialog.
    
    svn path=/trunk/; revision=112

 ChangeLog                |    5 +++++
 src/PreferencesDialog.cs |    4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit a08fbc3e727a9d91084738c065fe190080da9d9b
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Fri Sep 26 10:57:01 2008 +0000

    Rename Defines.cs for Windows.
    
    2008-09-26  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* tasque.csproj, src/Defines.WIN32.cs: Rename Defines.cs for Windows.
    
    svn path=/trunk/; revision=111

 ChangeLog            |    4 ++++
 src/Defines.WIN32.cs |   40 ++++++++++++++++++++++++++++++++++++++++
 src/Defines.cs       |   40 ----------------------------------------
 tasque.csproj        |    2 +-
 4 files changed, 45 insertions(+), 41 deletions(-)

commit a5220e67975584cd3c175c969f6c7b62955d0fd6
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Sep 26 10:50:55 2008 +0000

    Add new files. Keep Defines.cs in sync. Should do this better, though, but
    
    * tasque.mdp, src/Makefile.am: Add new files.
    * src/Defines.cs: Keep Defines.cs in sync.  Should do this better,
      though, but I'm tired.
    * src/Application.cs, src/GnomeApplication.cs: Typo fix.
    
    svn path=/trunk/; revision=110

 ChangeLog               |    7 +++++++
 src/Application.cs      |    2 +-
 src/Defines.cs          |    6 +++---
 src/GnomeApplication.cs |    2 +-
 src/Makefile.am         |    3 +++
 tasque.mdp              |    4 ++++
 6 files changed, 19 insertions(+), 5 deletions(-)

commit 5ec47b7ee3464cd7625a97d37dbc94ee5e862eb0
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Fri Sep 26 10:44:18 2008 +0000

    Visual Studio 2008 solution for building Tasque with the Dummy and RTM
    
    2008-09-26  Sandy Armstrong <sanfordarmstrong@gmail.com>
    
    	* tasque.sln, tasque.csproj: Visual Studio 2008 solution for building
    	  Tasque with the Dummy and RTM backends.
    	* src/Application.cs, src/NativeApplication.cs, src/GnomeApplication.cs,
    	  src/WindowsApplication.cs: Platform-specific app management code.
    	* src/Logger.cs: Some ugly (temporary) #if WIN32 lines.
    	* src/Defines.cs.in: Rename GnomeLocaleDir to LocaleDir.
    	* src/Defines.cs: Commit a copy for building on Windows.
    	* src/Preferences.cs: Pick conf file in platform-independent way.
    	* src/Utilities.cs: Process-renaming code moved to src/GnomeApplication.cs.
    	* winbin/: Mono assemblies needed on Windows.
    
    svn path=/trunk/; revision=109

 ChangeLog                                |   13 ++
 src/Application.cs                       |   59 +++++-----
 src/Backends/Rtm/RtmPreferencesWidget.cs |    2 +-
 src/Defines.cs                           |   40 +++++++
 src/Defines.cs.in                        |    2 +-
 src/GnomeApplication.cs                  |  102 ++++++++++++++++
 src/Logger.cs                            |   12 ++-
 src/NativeApplication.cs                 |   22 ++++
 src/Preferences.cs                       |    5 +-
 src/Utilities.cs                         |   13 --
 src/WindowsApplication.cs                |   91 +++++++++++++++
 tasque.csproj                            |  186 ++++++++++++++++++++++++++++++
 tasque.sln                               |   20 +++
 winbin/Mono.Posix.dll                    |  Bin 0 -> 179712 bytes
 winbin/MonoPosixHelper.dll               |  Bin 0 -> 181761 bytes
 15 files changed, 517 insertions(+), 50 deletions(-)

commit 87b15963bcf3d8a62905f2365c0eb92379887996
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Sep 26 09:44:12 2008 +0000

    Handle null backend the same as unconfigured backend. Whitespace fixes.
    
    * src/Application.cs: Handle null backend the same as unconfigured
      backend.  Whitespace fixes.
    * src/Backends/Rtm/RtmTask.cs, src/Backends/Rtm/RtmBackend.cs: Null
      reference checks based on some errors I saw while running in
      Windows.
    
    svn path=/trunk/; revision=108

 ChangeLog                      |    8 ++++++++
 src/Application.cs             |    9 ++++-----
 src/Backends/Rtm/RtmBackend.cs |    2 ++
 src/Backends/Rtm/RtmTask.cs    |   10 ++++++----
 4 files changed, 20 insertions(+), 9 deletions(-)

commit 42afc059248578287bbcb71f693d44bbdfb3a12b
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Sep 26 07:58:52 2008 +0000

    set svn:eol-style=native
    
    svn path=/trunk/; revision=107

commit 951044fefa6268c29a0b442a2482e25fa19d2914
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Sep 26 07:42:06 2008 +0000

    set svn:eol-style=native on *.cs and a few other files
    
    svn path=/trunk/; revision=106

 RtmNet/License.txt        |   54 +++++++++++++++++++-------------------
 RtmNet/example_app.config |   64 ++++++++++++++++++++++----------------------
 2 files changed, 59 insertions(+), 59 deletions(-)

commit 82fc603f512c47b413ad22f3b8460189241eb610
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Sep 26 07:40:38 2008 +0000

    Set svn:eol-style=native on *.cs and a few other files.
    
    * src/Application.cs: Make line endings consistent.
    
    svn path=/trunk/; revision=105

 ChangeLog          |    4 ++++
 src/Application.cs |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 4a4461f50f738bc305a2551bf136302a1a2b60fb
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sun Sep 21 14:09:16 2008 +0000

    If there's a valid backend that fails to authenticate, retry instead of
    
    * src/Application.cs: If there's a valid backend that fails to
      authenticate, retry instead of just showing the preferences window.
       Fixes bug #538019, patch courtesy of Joseph Method and Andrew
      Conkling.
    * src/Backends/Rtm/RtmBackend.cs: More informative exception handling
      during authentication.
    
    svn path=/trunk/; revision=104

 ChangeLog                      |    9 +++++++++
 src/Application.cs             |   21 +++++++++++++++++----
 src/Backends/Rtm/RtmBackend.cs |   13 ++++++++++++-
 3 files changed, 38 insertions(+), 5 deletions(-)

commit 67b6995f60ed113940ca23dbc3861ed3f169d3ab
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Sep 16 00:38:06 2008 +0000

    Don't paint the background of the status bar white (it was overriding
    
    * src/TaskWindow.cs: Don't paint the background of the status bar white
      (it was overriding theme colors).  Partial fix for bug #532766,
      patch courtesy of Mark A. Nicolosi.
    
    svn path=/trunk/; revision=103

 ChangeLog         |    6 ++++++
 src/TaskWindow.cs |   11 +----------
 2 files changed, 7 insertions(+), 10 deletions(-)

commit b344ec67e8e744cdda0c9208883758e14e4ecadf
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Thu Sep 4 20:39:01 2008 +0000

    add id proprety to adhere to AbstractTask. add id property to adhere to
    
    * src/Backends/Dummy/DummyTask.cs: add id proprety to adhere to
    AbstractTask.
    * src/Backends/Dummy/DummyBackend.cs: add id property to adhere
    to the AbstractTask.
    
    This fixes a compiler error when trying to compile with the
    dummy backend.
    
    svn path=/trunk/; revision=102

 ChangeLog                          |    6 ++++++
 src/Backends/Dummy/DummyBackend.cs |    6 +++---
 src/Backends/Dummy/DummyTask.cs    |    8 +++++++-
 3 files changed, 16 insertions(+), 4 deletions(-)

commit 9cc93826a7d39ad1e63f447ccf83dcbd0c12b887
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Wed Sep 3 15:32:18 2008 +0000

    Added Chinese (simplified) translation by Ray Wang. Thanks Ray!
    
    * po/zh_CN.po: Added Chinese (simplified) translation by Ray Wang.  Thanks
    Ray!
    
    
    svn path=/trunk/; revision=101

 po/ChangeLog |    5 +
 po/zh_CN.po  |  358 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 363 insertions(+), 0 deletions(-)

commit d2028c54c66db35e1b35d4d113d817b476503bfe
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Sep 1 14:20:13 2008 +0000

    Correct name of Turkish translation contributor.
    
    svn path=/trunk/; revision=100

 po/ChangeLog |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit eebc14fce94c824e0ea020765522778999d5e756
Author: Sandy Armstrong <sanfordarmstrong@gmail.com>
Date:   Mon Sep 1 14:18:40 2008 +0000

    Added Turkish translation by Çeviri Ekibi.
    
    2008-09-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>
    
            * tr_TR.po: Added Turkish translation by Çeviri Ekibi.
    
    svn path=/trunk/; revision=99

 po/ChangeLog |    4 +
 po/tr_TR.po  |  356 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 360 insertions(+), 0 deletions(-)

commit f7c13fecf901c1053479080ddc07cb31c545e769
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Sun Aug 31 08:43:54 2008 +0000

    Show more information in the status bar.  Add temporary tooltip for the
    tray icon.  Fixes Bug 533033.
    
    
    svn path=/trunk/; revision=98

 ChangeLog           |   11 +++++++++++
 src/Application.cs  |    2 ++
 src/TaskTreeView.cs |   42 +++++++++++++++++++++++++++++++++++++++---
 src/TaskWindow.cs   |   45 +++++++++++++++++++++++++++++++++++++++------
 4 files changed, 91 insertions(+), 9 deletions(-)

commit 218735a63f8b73b0d0bf0e40aa55561c159defcf
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Tue Aug 26 21:55:45 2008 +0000

    Implement the ITask's Id property in the backend's and for dbus.
    This fixes Bug 526492 – Implement id for ITask interface.  Thanks
    Thomas Van Machelen!
    
    
    svn path=/trunk/; revision=97

 ChangeLog                            |   14 ++++++++++++++
 MAINTAINERS                          |   13 ++++++-------
 README                               |    4 ++--
 src/AbstractTask.cs                  |    5 +++++
 src/Backends/EDS/EDSTask.cs          |    3 +--
 src/Backends/IceCore/IceTask.cs      |    2 +-
 src/Backends/Rtm/RtmTask.cs          |    7 +++++++
 src/Backends/Sqlite/SqliteBackend.cs |   10 +++++-----
 src/Backends/Sqlite/SqliteTask.cs    |   10 +++++++---
 src/ITask.cs                         |    8 ++++++++
 src/RemoteControl.cs                 |    2 +-
 11 files changed, 57 insertions(+), 21 deletions(-)

commit d2fb685480d5e6140949492010ee580712e3c718
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Fri Aug 22 20:00:59 2008 +0000

    sv.po: Updated Swedish translation
    
    svn path=/trunk/; revision=96

 po/ChangeLog |    4 ++
 po/sv.po     |  100 ++++++++++++++++++++++++++++++++++++----------------------
 2 files changed, 66 insertions(+), 38 deletions(-)

commit c48b821820d1f02b790769bb90c9955ace8c6a57
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Aug 19 00:21:05 2008 +0000

    Bump version to 0.1.8.
    
    * configure.ac: Bump version to 0.1.8.
    
    svn path=/trunk/; revision=95

 ChangeLog    |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 03baf4f7227d82cc96e82e19375271ac8b125381
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Aug 19 00:00:35 2008 +0000

    Update for 0.1.7.
    
    * NEWS: Update for 0.1.7.
    
    svn path=/trunk/; revision=93

 ChangeLog |    4 ++++
 NEWS      |    6 ++++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 2a6f0f30cddb4396a8f5fc174d1ed97ebbfaa180
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Wed Aug 6 20:16:26 2008 +0000

    Added Italian translation by Milo Casagrande. Added it
    
    2008-08-06  Luca Ferretti  <elle.uca@libero.it>
    
    	* it.po: Added Italian translation by Milo Casagrande.
    	* LINGUAS: Added it
    
    
    svn path=/trunk/; revision=92

 po/ChangeLog |    5 +
 po/LINGUAS   |    1 +
 po/it.po     |  336 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 342 insertions(+), 0 deletions(-)

commit 213b3e472390022ceb10fe95d2f58a5df72956a1
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed Aug 6 17:13:07 2008 +0000

    Make sure to run Catalog.Init first thing when the app starts. Updated
    
    * src/Application.cs: Make sure to run Catalog.Init first thing when
      the app starts.
    * po/fr.po: Updated translation by Christophe Benz and Sandy Armstrong.
    
    svn path=/trunk/; revision=91

 ChangeLog          |    5 +
 po/ChangeLog       |    4 +
 po/fr.po           |  332 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/Application.cs |    2 +
 4 files changed, 334 insertions(+), 9 deletions(-)

commit 43e442cd76e97953fd103c18a6decba8bb83cf49
Author: Andre Klapper <a9016009@gmx.de>
Date:   Tue Aug 5 19:02:50 2008 +0000

    Added German translation by Fabian Buch. Added de
    
    2008-08-05  Andre Klapper  <a9016009@gmx.de>
    
    	* de.po: Added German translation by Fabian Buch.
    	* LINGUAS: Added de
    
    
    svn path=/trunk/; revision=90

 po/ChangeLog |    5 +
 po/LINGUAS   |    1 +
 po/de.po     |  331 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 337 insertions(+), 0 deletions(-)

commit 8523393cc06dd31c91f4e3ddd7ca5ee9256243c0
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Mon Jul 28 17:05:03 2008 +0000

    Scroll to bottom of window when a new note is created. Cancel *new* note
    
    * src/NoteDialog.cs:  Scroll to bottom of window when a new note is created.
    Cancel *new* note creation on Esc.
    * src/NoteWidget.cs:  Disallow saving empty notes.  Expose public method to
    focus on TextView widget.
    
    svn path=/trunk/; revision=89

 ChangeLog         |    7 ++++++
 src/NoteDialog.cs |   36 +++++++++++++++++++++++++---------
 src/NoteWidget.cs |   55 ++++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 85 insertions(+), 13 deletions(-)

commit 576e78a31962703e6bcfc06d8b76c0936836c442
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Fri Jul 18 05:56:04 2008 +0000

    Added check for gtk-2.12+ with #if/#else to conditionally use the
    
    * configure.ac, src/PreferencesDialog.cs, src/Makefile.am: Added
    check for gtk-2.12+ with #if/#else to conditionally use the GtkTooltip
    class (which requires >=2.12) without having bump up our gtk version
    requirement just yet.  Fixes Bug #543245.
    
    
    svn path=/trunk/; revision=88

 ChangeLog           |    7 +++++++
 configure.ac        |   10 ++++++++++
 src/Makefile.am     |    8 ++++++--
 src/TaskTreeView.cs |    4 ++++
 4 files changed, 27 insertions(+), 2 deletions(-)

commit ab378fde7dfd287ecabaf34ad1dd923589239517
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Thu Jul 10 14:04:24 2008 +0000

    PreferencesDialog : Mnemonic conflict between show completed tasks and close. Fixed by marking Sh_ow.
    
    svn path=/trunk/; revision=87

 ChangeLog                |    6 ++++++
 src/PreferencesDialog.cs |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 610c475b9e8f756481b73406bc073d996195b691
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Fri Jul 4 12:46:01 2008 +0000

    Fix for Bug #541190.  If tasque finds another instance running, exit with 0 instead of -1.
    
    svn path=/trunk/; revision=86

 ChangeLog          |    7 +++++++
 src/Application.cs |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 0701e7cc556b761300fb374eb9c66a4413646249
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Fri Jun 27 17:18:40 2008 +0000

    Fix typo and add some comments. Also slightly decreased delay for tooltips
    
    * src/TaskTreeView.cs:  Fix typo and add some comments.  Also slightly
    decreased delay for tooltips to appear.
    
    
    svn path=/trunk/; revision=85

 ChangeLog           |    5 +++++
 src/TaskTreeView.cs |    9 ++++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit ea1651ca4227f78be8ce18943a5f63821d17570d
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Fri Jun 27 16:47:09 2008 +0000

    Add tooltips. Modified the default tooltip behavior to make them
    
    * src/TaskTreeView.cs:  Add tooltips.  Modified the default tooltip behavior to
    make them unobtrusive.  Some variables could be moved to preferences later on.
    Addresses bug #525281 (enhancement).  Large portion of patch courtesy of Sergey
    Kuleshov.
    
    
    svn path=/trunk/; revision=84

 ChangeLog           |    7 +++++
 src/TaskTreeView.cs |   63 ++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 65 insertions(+), 5 deletions(-)

commit df55b7626936429ed3291266b82c0b12ce85724e
Author: Kenneth Nielsen <kennethn@src.gnome.org>
Date:   Tue Jun 24 09:31:06 2008 +0000

    Added Danish translation by Soeren Juul
    
    svn path=/trunk/; revision=83

 po/ChangeLog |    5 +
 po/LINGUAS   |    1 +
 po/da.po     |  335 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 341 insertions(+), 0 deletions(-)

commit 8e28a2afe87adb10478584c7cf6b03b7321fbc38
Author: Daniel Nylander <dnylande@src.gnome.org>
Date:   Mon Jun 23 19:07:31 2008 +0000

    sv.po: Added Swedish translation
    
    svn path=/trunk/; revision=82

 po/ChangeLog |    5 +
 po/LINGUAS   |    1 +
 po/sv.po     |  334 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 340 insertions(+), 0 deletions(-)

commit cffa3dc6caf4fd5c3e8119dd7225d62946fb8766
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Jun 23 14:47:39 2008 +0000

    Fix links to bugs and mailing list.
    
    * NEWS: Fix links to bugs and mailing list.
    
    svn path=/trunk/; revision=81

 ChangeLog |    4 ++++
 NEWS      |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit ff70887a198cc247cc4e485e133ea3a16d848f3c
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Jun 23 14:39:51 2008 +0000

    Bump version to 0.1.7.
    
    * configure.ac: Bump version to 0.1.7.
    
    svn path=/trunk/; revision=80

 ChangeLog    |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit c8e25819ce32fc5ff53999e475a947f2805f062b
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Jun 23 13:24:54 2008 +0000

    Check that newly created task is non-null before trying to use it. Return
    
    * src/TaskWindow.cs: Check that newly created task is non-null before
      trying to use it.  Return if null (should show message to user,
      though).  Fixes crash found when adding an EDS task in the "All"
      category.
    
    svn path=/trunk/; revision=78

 ChangeLog         |    7 +++++++
 src/TaskWindow.cs |    3 +++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit bbdf4d53f10c182a221b5792f568f1ab0e3243b3
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Jun 23 12:59:06 2008 +0000

    Updated for 0.1.6.
    
    * NEWS: Updated for 0.1.6.
    
    svn path=/trunk/; revision=76

 ChangeLog |    4 ++++
 NEWS      |    4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 6362af9da22867e9206509ca6b484280a09c86ce
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon Jun 23 12:47:37 2008 +0000

    Check every minute to see if the day has changed. If it has, and the
    
    * src/Application.cs: Check every minute to see if the day has changed.
       If it has, and the TaskWindow is open, reinitialize the
      TaskWindow.  Fixes bug #525306.
    * src/TaskWindow.cs: Add static IsOpen property to determine if a
      TaskWindow exists and is currently realized.
    
    svn path=/trunk/; revision=75

 ChangeLog          |    8 ++++++++
 src/Application.cs |   24 +++++++++++++++++++++---
 src/TaskWindow.cs  |    7 +++++++
 3 files changed, 36 insertions(+), 3 deletions(-)

commit d1f437facec84ea149beb3ce57e435dc802b34ec
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Mon Jun 16 17:37:55 2008 +0000

    EDS Backend : Listen on source groups.
    
    svn path=/trunk/; revision=74

 ChangeLog                       |    5 ++
 src/Backends/EDS/EDSBackends.cs |  119 ++++++++++++++++++++++++++++-----------
 2 files changed, 90 insertions(+), 34 deletions(-)

commit 66673b511473bea3c229e0309e18e769ef1b1ae4
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Jun 13 21:05:14 2008 +0000

    Add data/tasque.desktop.in and src/NoteDialog.cs, fixing make distcheck.
    
    * po/POTFILES.in: Add data/tasque.desktop.in and src/NoteDialog.cs,
      fixing make distcheck.
    
    svn path=/trunk/; revision=73

 po/ChangeLog   |    5 +++++
 po/POTFILES.in |    2 ++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 0f728116b5de85668c8e1065d58a6c2dae28f381
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Fri Jun 13 14:26:01 2008 +0000

    Disable this when the window is gone. Fixes bug #538144 (patch from Ankit
    
    * src/TaskTreeView.cs (PulseAnimation): Disable this when the window is
      gone.  Fixes bug #538144 (patch from Ankit Jain).
    
    svn path=/trunk/; revision=72

 ChangeLog           |    5 +++++
 src/TaskTreeView.cs |   21 +++++++++++++--------
 2 files changed, 18 insertions(+), 8 deletions(-)

commit ca6dd35f925da25e9ce887f6caadf3cd77cfb540
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Jun 12 04:27:48 2008 +0000

    Removed seemingly unused $enable_ice_desktop variable. Make sure to check
    
    * configure.ac: Removed seemingly unused $enable_ice_desktop variable.
      Make sure to check that Novell.IceDesktop is actually available
      when running configure.  Fixes bug #537906.
    * NEWS: Getting ready for 0.1.6 release.
    
    svn path=/trunk/; revision=71

 ChangeLog    |    7 +++++++
 NEWS         |    8 ++++++++
 configure.ac |    7 +++++--
 3 files changed, 20 insertions(+), 2 deletions(-)

commit aef1dddfdb97f21fc7edc1f52d74df4399fa9200
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat Jun 7 14:05:19 2008 +0000

    Prevent crash when double-clicking date widget. Fixes bug #525282.
    
    * src/TaskTreeView.cs: Prevent crash when double-clicking date widget.
      Fixes bug #525282.
    
    svn path=/trunk/; revision=70

 ChangeLog           |    5 +++++
 src/TaskTreeView.cs |    5 +++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit d566041bd00bb8ca02f6af88fad9a3d6adaa0dcd
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat Jun 7 13:39:07 2008 +0000

    Update GTK+ icon cache on uninstall. Fixes bug #536740, patch courtesy of
    
    * data/images/Makefile.am: Update GTK+ icon cache on uninstall.  Fixes
      bug #536740, patch courtesy of Andrew Starr-Bochicchio.
    
    svn path=/trunk/; revision=69

 ChangeLog               |    5 +++++
 data/images/Makefile.am |    4 +++-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 31386f54cd37d45fa9ba661feefd2d3f3091af7f
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Mon May 19 14:43:58 2008 +0000

    De-sensitize categoryComboBox during task window load. Fixes bug #532764,
    
    * src/TaskWindow.cs: De-sensitize categoryComboBox during task window
      load.  Fixes bug #532764, patch courtesy of Steve Brown.
    
    svn path=/trunk/; revision=68

 ChangeLog         |    5 +++++
 src/TaskWindow.cs |    2 ++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 67171a9a3b1d651c85c59feb068aecfe7bc18bee
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat May 17 19:29:10 2008 +0000

    Prevent crash when requests timeout during network failure. Fixes bug
    
    * RtmNet/Rtm.cs: Prevent crash when requests timeout during network
      failure.  Fixes bug #533609, patch courtesy of Charles Schaefer.
    
    svn path=/trunk/; revision=67

 ChangeLog     |    5 +++++
 RtmNet/Rtm.cs |   19 ++++++++++++++++---
 2 files changed, 21 insertions(+), 3 deletions(-)

commit 9d57f06b2300f432ac20bd06a41105bd4c54720d
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat May 17 18:50:56 2008 +0000

    Checking if the refresh Thread is still alive and, if it isn't, create a
    
    * src/Backends/Rtm/RtmBackend.cs: Checking if the refresh Thread is
      still alive and, if it isn't, create a new Thread to be used.
      Prevents crash when switching away from and then back to RTM
      backend.  Fixes bug #533607, patch courtesy of Charles Schaefer.
    
    svn path=/trunk/; revision=66

 ChangeLog                      |    7 +++++++
 src/Backends/Rtm/RtmBackend.cs |    4 ++++
 2 files changed, 11 insertions(+), 0 deletions(-)

commit 186a19e5d15e9b7604ed9cecd13a8808b0928fe4
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Sat May 17 00:01:25 2008 +0000

    Rename QuitMainLoop to Quit, have it call the OnQuit handler used in the
    
    * src/Application.cs: Rename QuitMainLoop to Quit, have it call the
      OnQuit handler used in the StatusIcon menu.
    * src/TaskWindow.cs: Bind ctrl+q to Application.Quit.
    
    svn path=/trunk/; revision=65

 ChangeLog          |    6 ++++++
 src/Application.cs |    6 +++---
 src/TaskWindow.cs  |    6 ++++++
 3 files changed, 15 insertions(+), 3 deletions(-)

commit 604da63bc2647b4762b142583f462036d728f0b6
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed May 14 21:46:02 2008 +0000

    Fix `make distcheck` by adding Tasque.exe.config.in, modeled after Tomboy
    
    * src/Tasque.exe.config, src/Tasque.exe.config.in, src/Makefile.am: Fix
      `make distcheck` by adding Tasque.exe.config.in, modeled after
      Tomboy setup.
    
    svn path=/trunk/; revision=64

 ChangeLog                |    6 ++++++
 src/Makefile.am          |   13 ++++++++++---
 src/Tasque.exe.config    |    4 ----
 src/Tasque.exe.config.in |    4 ++++
 4 files changed, 20 insertions(+), 7 deletions(-)

commit f52cc6ce6c99a528c5ce0d8e043a914d2043fc10
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Wed May 14 21:22:36 2008 +0000

    Gtk.StatusIcon patch courtesy of Eric Butler  <eric@extremeboredom.net>
    
    * tasque.mdp: F5 == make run
    * src/Application.cs: Use Gtk.StatusIcon instead of Egg.TrayIcon.
    * src/Backends/Rtm/RtmPreferencesWidget.cs, configure.ac: Require
      gtk-sharp >= 2.10.
    * src/Makefile.am, src/TrayLib.cs, po/Makefile.in.in: Remove unused
      file.
    
    svn path=/trunk/; revision=63

 ChangeLog                                |   11 ++
 configure.ac                             |    8 +-
 po/ChangeLog                             |    4 +
 po/Makefile.in.in                        |  218 ------------------------
 src/Application.cs                       |  118 ++++++-------
 src/Backends/Rtm/RtmPreferencesWidget.cs |    8 -
 src/Makefile.am                          |    3 +-
 src/TrayLib.cs                           |  270 ------------------------------
 tasque.mdp                               |    3 +-
 9 files changed, 74 insertions(+), 569 deletions(-)

commit fb4c8de310e304b0e191a46a4702b5f9d6261cb4
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Mon May 12 18:27:21 2008 +0000

    Organize the status bar messages when syncing with a backend.  They should make
    more sense now.
    
    Removed some of my old, commented out code.
    
    
    svn path=/trunk/; revision=62

 ChangeLog                |    7 +++++++
 src/PreferencesDialog.cs |   27 ---------------------------
 src/TaskWindow.cs        |   18 ++++++++----------
 3 files changed, 15 insertions(+), 37 deletions(-)

commit 461ae3cb317e8bc2f64cf0520dd203e621365836
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Mon May 12 17:26:30 2008 +0000

    Updated Brazilian Portuguese Translation.
    
    2008-05-12  Lucas Rocha  <lucasr@gnome.org>
    
    	* pt_BR.po: Updated Brazilian Portuguese Translation.
    
    svn path=/trunk/; revision=61

 po/ChangeLog |    8 ++
 po/pt_BR.po  |  280 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 287 insertions(+), 1 deletions(-)

commit 7c705d2967b5420df38a8f12c279e99e256ebf81
Author: Lucas Rocha <lucasr@gnome.org>
Date:   Mon May 12 17:25:46 2008 +0000

    added missing files for translation.
    
    2008-05-12  Lucas Rocha <lucasr@gnome.org>
    
    	* po/POTFILES.in: added missing files for translation.
    
    svn path=/trunk/; revision=60

 ChangeLog      |    4 ++++
 po/POTFILES.in |    8 ++++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

commit a308a348a15f4f7828d9ca442ba27a8f1742f2c4
Author: Lucas Almeida Rocha <lucasr@src.gnome.org>
Date:   Mon May 12 15:44:34 2008 +0000

    Added Brazilian Portuguese Translation.
    
    svn path=/trunk/; revision=59

 po/LINGUAS  |    1 +
 po/pt_BR.po |   40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 0 deletions(-)

commit 26f776bcad6b7d04db14ed56935f5be9fad8df5b
Author: Brian G. Merrell <bgmerrell@src.gnome.org>
Date:   Fri May 9 22:41:05 2008 +0000

    Put the user into "Edit Note" mode when they open notes w/ 0 current
    notes
    
    Added an accessible description for the category selection combo box
    
    
    svn path=/trunk/; revision=58

 ChangeLog         |    8 ++++++++
 src/NoteDialog.cs |   22 ++++++++++++++--------
 src/TaskWindow.cs |    8 ++++++--
 3 files changed, 28 insertions(+), 10 deletions(-)

commit db3059bbaa97e650d4854b08328af353f81ccb44
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Tue Apr 15 23:50:01 2008 +0000

    Rename log from .banter.log to .tasque.log.
    
    * src/Logger.cs: Rename log from .banter.log to .tasque.log.
    
    svn path=/trunk/; revision=57

 ChangeLog     |    4 ++++
 src/Logger.cs |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 0ad3eba4fa188d9118a6a610a1833cb80200927a
Author: Sebastian Dröge <sdroege@src.gnome.org>
Date:   Wed Apr 9 07:54:41 2008 +0000

    Fix typo in configure.ac. Fixes bug #525272. Also use PKG_PROG_PKG_CONFIG
    
    * configure.ac: Fix typo in configure.ac. Fixes bug #525272.
    Also use PKG_PROG_PKG_CONFIG instead of AC_PATH_PROG for checking
    for pkg-config.
    
    svn path=/trunk/; revision=56

 ChangeLog    |    6 ++++++
 configure.ac |    9 +++------
 2 files changed, 9 insertions(+), 6 deletions(-)

commit 608938fc49b0a9d01855cbc4441d20ad67521500
Author: Sebastian Dröge <sdroege@src.gnome.org>
Date:   Mon Apr 7 07:18:22 2008 +0000

    Add dllmaps for libX11 and GDK. Fixes bug #526663.
    
    * src/Makefile.am:
    * src/Tasque.exe.config: Add dllmaps for libX11 and GDK.
    Fixes bug #526663.
    
    svn path=/trunk/; revision=55

 ChangeLog             |    6 ++++++
 src/Makefile.am       |    2 +-
 src/Tasque.exe.config |    4 ++++
 3 files changed, 11 insertions(+), 1 deletions(-)

commit b50d4fbd296c49271e6a892a9f9db34a42fac896
Author: Marc-Andre Lureau <marcandre.lureau@gmail.com>
Date:   Tue Apr 1 19:50:01 2008 +0000

    Added French Translation.
    
    2008-04-01  Marc-Andre Lureau  <marcandre.lureau@gmail.com>
    
    	* LINGUAS, fr.po: Added French Translation.
    
    svn path=/trunk/; revision=54

 po/ChangeLog |    4 ++++
 po/LINGUAS   |    1 +
 po/fr.po     |   41 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+), 0 deletions(-)

commit 4b7023a12077cf6f78ed267b11957bd8a499d1a4
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Mon Mar 31 04:31:29 2008 +0000

    Set TaskState in constructor.
    
    svn path=/trunk/; revision=51

 ChangeLog                       |    5 +++++
 src/Backends/EDS/EDSBackends.cs |    1 +
 src/Backends/EDS/EDSTask.cs     |   15 ++++++++-------
 3 files changed, 14 insertions(+), 7 deletions(-)

commit 9c4738ccbb5559b42a3ad36b3ad48e4438543474
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Fri Mar 28 10:24:32 2008 +0000

    Fixed CreateTask in EDS Backend
    
    svn path=/trunk/; revision=50

 ChangeLog                       |    5 +++++
 src/Backends/EDS/EDSBackends.cs |   37 +++++++++++++++++++++++--------------
 2 files changed, 28 insertions(+), 14 deletions(-)

commit 51607e650542fff70fb390633ad67b40f073bd24
Author: Johnny Jacob <jjohnny@src.gnome.org>
Date:   Fri Mar 28 05:44:36 2008 +0000

    Added EDS Backend into mdp.
    
    svn path=/trunk/; revision=49

 ChangeLog  |    4 ++++
 tasque.mdp |    6 +++++-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit c52cc6bb15f7eda48e3587140a83f527793ef280
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Fri Mar 14 20:26:48 2008 +0000

    Fixed a problem in the logic where the icecore backend wasn't being
    
    * configure.ac: Fixed a problem in the logic where the icecore backend
      wasn't being evaluated.  The user/builder would only see this when
      specifying only icecore as the backend.  In this case, the only
      thing that would happen is that it would also cause RTM to be
      built.
    
    svn path=/trunk/; revision=28

 ChangeLog    |    7 +++++++
 configure.ac |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 7d96296c482f385de40ac0ea6d00cd8c8b2a80d4
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Fri Mar 14 19:17:10 2008 +0000

    Make the task priorities match up with ICEcore so that 1=1, 2=2, 3=3, and
    
    * src/Backends/IceCore/IceTask.cs: Make the task priorities match up
      with ICEcore so that 1=1, 2=2, 3=3, and None=5.
    
    svn path=/trunk/; revision=24

 ChangeLog                       |    5 +++++
 src/Backends/IceCore/IceTask.cs |   10 +++++-----
 2 files changed, 10 insertions(+), 5 deletions(-)

commit f3747d2f89539362106bdc44bfc4e630a46a3f7b
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Fri Mar 14 15:17:17 2008 +0000

    Build Tasque.exe before building any Backends.
    
    * src/Makefile.am: Build Tasque.exe before building any Backends.
    
    svn path=/trunk/; revision=23

 ChangeLog       |    4 ++++
 src/Makefile.am |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 2c0e1613bf65922cff2f7761704e20a62a2ef2f8
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Fri Mar 14 03:43:27 2008 +0000

    Do better checking when checking for types in a backend dll so Tasque
    
    * src/Application.cs: Do better checking when checking for types in a
      backend dll so Tasque doesn't crash when there are problems.
    * src/Backends/IceCore/Makefile.am, src/Backends/Makefile.am,
      src/Makefile.am: Modify the makefiles to build IceCore.Backend.dll
      instead of packaging it directly inside Tasque.exe.
    * configure.ac: Add src/Backends/Makefile and
      src/Backends/IceCore/Makefile.
    
    svn path=/trunk/; revision=22

 ChangeLog                        |    9 +++++++
 configure.ac                     |    7 ++++++
 src/Application.cs               |   20 +++++++++++++---
 src/Backends/IceCore/Makefile.am |   45 ++++++++++++++++++++++++++++++++++++++
 src/Backends/Makefile.am         |    7 ++++++
 src/Makefile.am                  |   10 +------
 6 files changed, 86 insertions(+), 12 deletions(-)

commit 16046776c11de05612fac24ac1ade8d43f1cd34b
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Mar 13 23:27:01 2008 +0000

    When focusing on the Add Task field, clear our "New task..." text. Restore
    
    * src/TaskWindow.cs: When focusing on the Add Task field, clear our
      "New task..." text.  Restore this text if field is empty when
      unfocused.  Empty field after creating a new task.  Text color in
      field appears insensitive when field is not focused, if default
      "New task..." text is there.
    
    svn path=/trunk/; revision=21

 ChangeLog         |    8 ++++++++
 src/TaskWindow.cs |   27 +++++++++++++++++++++++----
 2 files changed, 31 insertions(+), 4 deletions(-)

commit a28f3028b97adc00e45963bc797233d05a5a9322
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Thu Mar 13 22:46:41 2008 +0000

    Change the code so that when the user selects "New task..." from the tray
    
    * src/Application.cs, src/TaskWindow.cs: Change the code so that when
      the user selects "New task..." from the tray icon, it will open the
      task window and put their cursor in the new task entry widget
      instead of just create a task called "New task..."
    
    svn path=/trunk/; revision=20

 ChangeLog          |    7 +++++++
 src/Application.cs |    2 +-
 src/TaskWindow.cs  |    8 ++++++++
 3 files changed, 16 insertions(+), 1 deletions(-)

commit cee502ddaacd5ed403fc5d45535f850dbd1fdba0
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Mar 13 22:40:20 2008 +0000

    Moved ParseTaskText method from TaskTreeView to Utilities. Parse newly
    
    * src/Utilities.cs, src/TaskTreeView.cs: Moved ParseTaskText method
      from TaskTreeView to Utilities.
    * src/TaskWindow.cs: Parse newly entered task text for due date
      information.
    
    svn path=/trunk/; revision=19

 ChangeLog           |    7 ++++
 src/TaskTreeView.cs |   82 +++++++-------------------------------------------
 src/TaskWindow.cs   |   20 ++++++++++--
 src/Utilities.cs    |   75 ++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 111 insertions(+), 73 deletions(-)

commit d9ecd7fd581961df9d87422c94fd6fb58a21f6ac
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Thu Mar 13 22:10:40 2008 +0000

    Add an entry widget at the top of the window for users to create new
    
    * src/TaskGroup.cs: Add an entry widget at the top of the window for
      users to create new tasks.  Don't scroll automatically to a newly
      created task (scrolling still needs to be fixed). Highlight the
      newly-created task.  Put "New task..." in the entry box and
      highlight it by default and right after a task is created.
    
    svn path=/trunk/; revision=18

 ChangeLog         |    8 ++
 src/TaskGroup.cs  |    6 +-
 src/TaskWindow.cs |  230 +++++++++++++++++++++++++++++++++++++++++++----------
 3 files changed, 199 insertions(+), 45 deletions(-)

commit 01111648bb2eb3ec822a9d1b0a96b5b4251aa080
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Mar 13 17:10:07 2008 +0000

    Cleaner SVG courtesy of Jakub Steiner.
    
    * data/images/tasque.svg: Cleaner SVG courtesy of Jakub Steiner.
    
    svn path=/trunk/; revision=17

 ChangeLog              |    4 +
 data/images/tasque.svg |12473 +-----------------------------------------------
 2 files changed, 47 insertions(+), 12430 deletions(-)

commit 1684f04351a2c090b5c13ef7e48e2eb0fd20bacc
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Thu Mar 13 15:47:18 2008 +0000

    Added Sandy as an author.
    
    * AUTHORS: Added Sandy as an author.
    
    svn path=/trunk/; revision=16

 AUTHORS   |    1 +
 ChangeLog |    4 ++++
 2 files changed, 5 insertions(+), 0 deletions(-)

commit d0f7ee594b39675c61e106553e83659dc2470ad5
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Mar 13 15:30:46 2008 +0000

    Support for parsing due date out of undated tasks. Currently handles
    
    * src/TaskTreeView.cs: Support for parsing due date out of undated
      tasks.  Currently handles "today", "tomorrow", and anything
      understood by DateTime.Parse.  Favors future dates, but will obey a
      year if one is specified.
    * src/Preferences.cs: Added hidden preference for enabling due date
      parsing, which defaults to true.  Added support for preference
      defaults.  Changed a bunch of static strings to const strings in
      support of this.
    
    svn path=/trunk/; revision=15

 ChangeLog           |   11 +++++++
 src/Preferences.cs  |   41 ++++++++++++++++++-------
 src/TaskTreeView.cs |   82 +++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 120 insertions(+), 14 deletions(-)

commit 63aea85744ed6b655c19c2f0024052623ee71d2a
Author: Daniel van Eeden <Daniel.van.Eeden@gmail.com>
Date:   Thu Mar 13 14:34:02 2008 +0000

    Added Dutch Translation.
    
    2008-03-13  Daniel van Eeden <Daniel.van.Eeden@gmail.com>
    
            * LINGUAS, nl.po: Added Dutch Translation.
    
    
    svn path=/trunk/; revision=14

 po/ChangeLog |    3 +++
 po/LINGUAS   |    1 +
 po/nl.po     |   40 ++++++++++++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+), 0 deletions(-)

commit dc61a9b91f3523e6093c2e290da82accceb9e4a0
Author: Calvin Gaisford <calvinrg@src.gnome.org>
Date:   Thu Mar 13 05:42:27 2008 +0000

    Bumped to 0.1.6
    
    * configure.ac: Bumped to 0.1.6
    
    svn path=/trunk/; revision=13

 ChangeLog    |    4 ++++
 configure.ac |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 3351785718ba622f678c3b13a5ce2005f4b50c94
Author: Calvin Gaisford <calvinrg@src.gnome.org>
Date:   Thu Mar 13 05:38:00 2008 +0000

    Updated NEWS for release 0.1.5
    
    * NEWS: Updated NEWS for release 0.1.5
    
    svn path=/trunk/; revision=11

 ChangeLog |    4 ++++
 NEWS      |    6 ++++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit fe9f356b967ecb1699127569ddb71a4033ae1af8
Author: Calvin Gaisford <calvinrg@src.gnome.org>
Date:   Thu Mar 13 05:35:22 2008 +0000

    Updated the About dialog with the correct project location
    
    * src/Application.cs: Updated the About dialog with the correct project
      location
    
    svn path=/trunk/; revision=10

 ChangeLog          |    5 +++++
 src/Application.cs |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 63d8ed170bfdd009329fd0cb8dff420e6377a4a8
Author: Calvin Gaisford <calvinrg@src.gnome.org>
Date:   Thu Mar 13 05:17:41 2008 +0000

    Fixed the main window icon to be larger
    
    * src/TaskWindow.cs: Fixed the main window icon to be larger
    
    svn path=/trunk/; revision=9

 ChangeLog         |    4 ++++
 src/TaskWindow.cs |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit c76b37df5a3ec6ca7818f627f362f2d13b35d260
Author: Calvin Gaisford <calvinrg@src.gnome.org>
Date:   Thu Mar 13 05:04:56 2008 +0000

    Modified the preferences so there is a HideInAllCategory and any category
    
    * src/PreferencesDialog.cs, src/AllCategory.cs, src/TaskWindow.cs,
      src/Preferences.cs: Modified the preferences so there is a
      HideInAllCategory and any category listed will not be shown in the
      All Category.
    
    svn path=/trunk/; revision=8

 ChangeLog                |    7 +++++++
 src/AllCategory.cs       |   20 ++++++++++----------
 src/Preferences.cs       |    2 +-
 src/PreferencesDialog.cs |   42 ++++++++++++++++++++++--------------------
 src/TaskWindow.cs        |    9 ++++-----
 5 files changed, 44 insertions(+), 36 deletions(-)

commit 625d31debe5ead9536678ca1b3834a0c49231465
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Mar 13 01:46:15 2008 +0000

    Added jimmac's source SVG for the Tasque icons.
    
    * data/images/tasque-icons-source.svg: Added jimmac's source SVG for
      the Tasque icons.
    
    svn path=/trunk/; revision=7

 ChangeLog                           |    5 +
 data/images/tasque-icons-source.svg |12965 +++++++++++++++++++++++++++++++++++
 2 files changed, 12970 insertions(+), 0 deletions(-)

commit 88b95d3e4d23001f56557310e288cb875cc82d0a
Author: Sanford Armstrong <sharm@src.gnome.org>
Date:   Thu Mar 13 01:45:01 2008 +0000

    Added real SVG of Tasque icon for scalable goodness.
    
    * data/images/tasque.svg, data/images/Makefile.am: Added real SVG of
      Tasque icon for scalable goodness.
    
    svn path=/trunk/; revision=6

 ChangeLog               |    5 +
 data/images/Makefile.am |    6 +-
 data/images/tasque.svg  |12981 ++++++++++++++++++++++++++++++++++++++++++++++-
 3 files changed, 12949 insertions(+), 43 deletions(-)

commit c70f0e6073cab1eca3a2423e7e6139fcfff97186
Author: Calvin Gaisford <calvinrg@src.gnome.org>
Date:   Wed Mar 12 22:52:10 2008 +0000

    Updated to not include the All category in prefs dialog
    
    * src/PreferencesDialog.cs: Updated to not include the All category in
      prefs dialog
    
    svn path=/trunk/; revision=5

 ChangeLog                |    5 +++++
 src/PreferencesDialog.cs |    6 +++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit e6d8ca9610ce686074fab873aa7ba550e74b5dfa
Author: Boyd H Timothy <btimothy@src.gnome.org>
Date:   Wed Mar 12 20:06:34 2008 +0000

    Adjust icons that are used in the window titlebar to be 16x16 so they
    
    * src/PreferencesDialog.cs, src/NoteDialog.cs, src/Application.cs,
      src/TaskWindow.cs: Adjust icons that are used in the window
      titlebar to be 16x16 so they appear better.  Also adjust the tasque
      icon and execute icon in the tray icon to be 16x16 to match the
      rest of the menu.
    
    svn path=/trunk/; revision=3

 ChangeLog                |    7 +++++++
 src/Application.cs       |    4 ++--
 src/NoteDialog.cs        |    2 +-
 src/PreferencesDialog.cs |    2 +-
 src/TaskWindow.cs        |    2 +-
 5 files changed, 12 insertions(+), 5 deletions(-)

commit ea2d7512eb424abf2b8cadc8484cae844e536edd
Author: Boyd Timothy <btimothy@gmail.com>
Date:   Wed Mar 12 19:54:56 2008 +0000

    Initial check in of Tasque to GNOME SVN.
    
    2008-03-12  Boyd Timothy <btimothy@gmail.com>
    
            * Initial check in of Tasque to GNOME SVN.
    
    
    svn path=/trunk/; revision=2

 AUTHORS                                   |    3 +
 COPYING                                   |   21 +
 ChangeLog                                 | 1586 +++++++++++++++++++++++++++++
 INSTALL                                   |  236 +++++
 MAINTAINERS                               |    8 +
 Makefile.am                               |   27 +
 Makefile.include                          |   33 +
 NEWS                                      |   41 +
 README                                    |   11 +
 RtmNet/ApiKeyRequiredException.cs         |   17 +
 RtmNet/AssemblyInfo.cs                    |   70 ++
 RtmNet/Auth.cs                            |   79 ++
 RtmNet/AuthenticationRequiredException.cs |   14 +
 RtmNet/Categories.cs                      |   80 ++
 RtmNet/Contacts.cs                        |   67 ++
 RtmNet/DateGranularity.cs                 |   24 +
 RtmNet/Enums.cs                           |   45 +
 RtmNet/GroupSearchResults.cs              |  165 +++
 RtmNet/Groups.cs                          |  416 ++++++++
 RtmNet/License.txt                        |   27 +
 RtmNet/List.cs                            |   76 ++
 RtmNet/Makefile.am                        |   64 ++
 RtmNet/Methods.cs                         |  136 +++
 RtmNet/Note.cs                            |  103 ++
 RtmNet/Response.cs                        |  115 +++
 RtmNet/ResponseXmlException.cs            |   18 +
 RtmNet/Rtm.cs                             | 1300 +++++++++++++++++++++++
 RtmNet/RtmApiException.cs                 |   46 +
 RtmNet/RtmException.cs                    |   23 +
 RtmNet/RtmNet.mdp                         |   59 ++
 RtmNet/RtmWebException.cs                 |   14 +
 RtmNet/SignatureRequiredException.cs      |   14 +
 RtmNet/Tags.cs                            |   42 +
 RtmNet/Task.cs                            |  233 +++++
 RtmNet/User.cs                            |  144 +++
 RtmNet/Utils.cs                           |  233 +++++
 RtmNet/example_app.config                 |   32 +
 TODO                                      |    3 +
 autogen.sh                                |   20 +
 configure.ac                              |  218 ++++
 create-task.py                            |   21 +
 data/Makefile.am                          |   31 +
 data/images/Makefile.am                   |   62 ++
 data/images/clock-16-0.png                |  Bin 0 -> 336 bytes
 data/images/clock-16-0.svg                |   65 ++
 data/images/clock-16-1.png                |  Bin 0 -> 398 bytes
 data/images/clock-16-10.png               |  Bin 0 -> 272 bytes
 data/images/clock-16-11.png               |  Bin 0 -> 244 bytes
 data/images/clock-16-2.png                |  Bin 0 -> 382 bytes
 data/images/clock-16-3.png                |  Bin 0 -> 323 bytes
 data/images/clock-16-4.png                |  Bin 0 -> 359 bytes
 data/images/clock-16-5.png                |  Bin 0 -> 335 bytes
 data/images/clock-16-6.png                |  Bin 0 -> 290 bytes
 data/images/clock-16-7.png                |  Bin 0 -> 330 bytes
 data/images/clock-16-8.png                |  Bin 0 -> 297 bytes
 data/images/clock-16-9.png                |  Bin 0 -> 264 bytes
 data/images/note-16.png                   |  Bin 0 -> 820 bytes
 data/images/note-22.svg                   |  366 +++++++
 data/images/rtmLogo.png                   |  Bin 0 -> 11341 bytes
 data/images/tasque-16.png                 |  Bin 0 -> 711 bytes
 data/images/tasque-22.png                 |  Bin 0 -> 1029 bytes
 data/images/tasque-24.png                 |  Bin 0 -> 1086 bytes
 data/images/tasque-32.png                 |  Bin 0 -> 1474 bytes
 data/images/tasque-48.png                 |  Bin 0 -> 2146 bytes
 data/images/tasque.svg                    |   75 ++
 data/org.gnome.Tasque.service.in          |    5 +
 data/sounds/Makefile.am                   |   15 +
 data/sounds/notify.wav                    |  Bin 0 -> 70604 bytes
 data/tasque.desktop.in                    |   14 +
 po/LINGUAS                                |    3 +
 po/Makefile.in.in                         |  218 ++++
 po/POTFILES.in                            |    3 +
 po/fi.po                                  |   18 +
 src/AbstractTask.cs                       |  180 ++++
 src/AllCategory.cs                        |   54 +
 src/Application.cs                        |  549 ++++++++++
 src/Backends/Dummy/DummyBackend.cs        |  327 ++++++
 src/Backends/Dummy/DummyCategory.cs       |   37 +
 src/Backends/Dummy/DummyNote.cs           |   29 +
 src/Backends/Dummy/DummyTask.cs           |  169 +++
 src/Backends/EDS/EDSBackends.cs           |  312 ++++++
 src/Backends/EDS/EDSCategory.cs           |   58 ++
 src/Backends/EDS/EDSNote.cs               |   31 +
 src/Backends/EDS/EDSTask.cs               |  254 +++++
 src/Backends/IceCore/IceBackend.cs        |  441 ++++++++
 src/Backends/IceCore/IceCategory.cs       |   62 ++
 src/Backends/IceCore/IceNote.cs           |   32 +
 src/Backends/IceCore/IceTask.cs           |  316 ++++++
 src/Backends/Rtm/RtmBackend.cs            |  661 ++++++++++++
 src/Backends/Rtm/RtmCategory.cs           |   73 ++
 src/Backends/Rtm/RtmNote.cs               |   37 +
 src/Backends/Rtm/RtmPreferencesWidget.cs  |  136 +++
 src/Backends/Rtm/RtmTask.cs               |  315 ++++++
 src/Backends/Sqlite/Database.cs           |  209 ++++
 src/Backends/Sqlite/SqliteBackend.cs      |  306 ++++++
 src/Backends/Sqlite/SqliteCategory.cs     |   70 ++
 src/Backends/Sqlite/SqliteNote.cs         |   29 +
 src/Backends/Sqlite/SqliteTask.cs         |  201 ++++
 src/CellRendererDate.cs                   |  313 ++++++
 src/CompletedTaskGroup.cs                 |  279 +++++
 src/DateButton.cs                         |  216 ++++
 src/Defines.cs.in                         |   40 +
 src/IBackend.cs                           |  108 ++
 src/ICategory.cs                          |   20 +
 src/INote.cs                              |   19 +
 src/ITask.cs                              |  176 ++++
 src/Logger.cs                             |  163 +++
 src/Makefile.am                           |  178 ++++
 src/NoteDialog.cs                         |  141 +++
 src/NoteWidget.cs                         |  288 ++++++
 src/Preferences.cs                        |  290 ++++++
 src/PreferencesDialog.cs                  |  530 ++++++++++
 src/RemoteControl.cs                      |  152 +++
 src/RemoteControlProxy.cs                 |   36 +
 src/RtmDeveloperKey.txt                   |   32 +
 src/TaskCalendar.cs                       |  206 ++++
 src/TaskGroup.cs                          |  492 +++++++++
 src/TaskPriority.cs                       |   15 +
 src/TaskState.cs                          |   34 +
 src/TaskTreeView.cs                       |  727 +++++++++++++
 src/TaskWindow.cs                         |  999 ++++++++++++++++++
 src/TrayLib.cs                            |  270 +++++
 src/Utilities.cs                          |  339 ++++++
 src/tasque.in                             |    9 +
 src/tasque.pc.in                          |    6 +
 tasque-opensuse-1click.png                |  Bin 0 -> 3587 bytes
 tasque.mdp                                |   89 ++
 tasque.mds                                |   21 +
 128 files changed, 17835 insertions(+), 0 deletions(-)
